2011-07-13 - libetpan-1.1cvs2 - hoa

	* src/low-level/imap/mailimap_parser.c
	   enable a private API to workaround for Zarafa server in etPanKit.

2011-07-12 - libetpan-1.1cvs1 - hoa

	* src/low-level/imap/mailimap_parser.c

2011-07-12 - libetpan-1.1b - hoa

	* src/low-level/imap/namespace_parser.c
	   fixed build.

2011-07-12 - libetpan-1.1 - hoa

	* release 1.1
	   features:
	   implemented IMAP NAMESPACE,
	   implemented SMTP SIZE,
	   support for Content-Location,
	   improved progress report API for IMAP and SMTP.
	   
	   fixes:
	   workaround for various IMAP servers,
	   fixes for IMAP parser,
	   fixed generation of quoted printable,
	   fixed memory leaks.

2011-07-11 - libetpan-1.0cvs74 - hoa

	* src/low-level/imap/mailimap.c
	   reduce memory usage.

2011-07-01 - libetpan-1.0cvs73 - hoa

	* src/low-level/imap/mailimap.c
	   fixed memory leak.

2011-06-29 - libetpan-1.0cvs72 - hoa

	* src/low-level/mime/mailmime_content.c
	   interpret message/rfc822 as single part if it's encoded in base64 or quoted-printable.

2011-06-25 - libetpan-1.0cvs71 - hoa

	* src/low-level/mime/mailmime_write_generic.c
	   fixed generation of quoted printable

2011-06-21 - libetpan-1.0cvs70 - hoa

	* src/low-level/smtp/mailsmtp.c
	   fixed error handling.

2011-06-21 - libetpan-1.0cvs69 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround for Lotus Domino, parse empty body and parse broken param value.

2011-06-21 - libetpan-1.0cvs68 - hoa

	* src/low-level/imf/mailimf.c
	   workaround for MBox mail: twice opening angle bracket generated by MBox mail.

2011-06-20 - libetpan-1.0cvs67 - hoa

	* src/low-level/smtp/mailsmtp.c
	   fixed error handling.

2011-06-13 - libetpan-1.0cvs66 - hoa

	* src/low-level/smtp/mailsmtp.c
   	   fixed parser for SIZE extension.

2011-06-04 - libetpan-1.0cvs65 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	   fixed parse error from non-compliant servers.

2011-05-29 - libetpan-1.0cvs64 - hoa

	* src/low-level/imap/mailimap_keywords.c
	* src/low-level/imap/mailimap_parser.c
	   workaround for mail.maximedia.nl server.

2011-05-23 - libetpan-1.0cvs63 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround for Citadel IMAP.

2011-05-21 - libetpan-1.0cvs62 - hoa

    * src/low-level/imap/mailimap_helper.c
       fixed fetch_rfc822, fetch_rfc822_header

2011-05-19 - libetpan-1.0cvs62 - hoa

	* src/low-level/imap/xlist.h
	   fixed build for C++.

2011-05-09 - libetpan-1.0cvs61 - hoa

	* src/data-types/clist.h
	   fixed macro.

2011-05-09 - libetpan-1.0cvs60 - hoa

	* src/low-level/imap/mailimap.c
	   fixed crash.

2011-05-09 - libetpan-1.0cvs59 - hoa

	* src/low-level/imap/mailimap.c
	   fixed memory leak when fetch fails.

2011-05-04 - libetpan-1.0cvs58 - hoa

	* src/data-types/mailstream_low.c
	* src/data-types/mailstream_low.h
	   fixed API. Consistent ownership.

2011-05-03 - libetpan-1.0cvs57 - hoa

	* src/low-level/imap/namespace_parser.c
	   fixed clang reports.

2011-05-03 - libetpan-1.0cvs56 - hoa

	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	* src/low-level/imap/acl_parser.c
	* src/low-level/mime/mailmime_content.c
	* src/low-level/mime/mailmime_disposition.c
	   fixed clang reports.

2011-04-30 - libetpan-1.0cvs55 - hoa

	* src/low-level/mime/mailmime_types_helper.c
	   don't use Content-Transfer-Encoding for MIME multipart.

2011-04-28 - libetpan-1.0cvs54 - hoa

	* src/low-level/imap/namespace_parser.c
	   fixed namespace parser failure.
	   workaround for Courier-IMAP.

2011-04-27 - libetpan-1.0cvs53 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround for Yandex IMAP servers.

2011-04-19 - libetpan-1.0cvs52 - hoa

	* src/data-types/mailstream_low.[ch]
	* src/data-types/mailstream_types.h
	   identifier for stream connection (useful for logging).

2011-04-15 - libetpan-1.0cvs51 - hoa

	* configure.ac
	   build for debian.

2011-04-15 - libetpan-1.0cvs50 - hoa

	* src/data-types/mailstream_socket.[ch]
	   fixed function name.

2011-04-15 - libetpan-1.0cvs49 - hoa

	* src/data-types/mailstream_socket.[ch]
	   can be configure to use read() for debugging purpose.

2011-04-15 - libetpan-1.0cvs48 - hoa

	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	   fixed error handling of select().

2011-04-11 - libetpan-1.0cvs47 - hoa

	* src/low-level/imap/mailimap_parser.c
   	   workaround for Zoho Mail IMAP implementation.

2011-04-06 - libetpan-1.0cvs46 - hoa

	* src/low-level/imf/mailimf.c
	   fallback when parsing Content-ID of Message-ID.

2011-04-02 - libetpan-1.0cvs45 - hoa

	* src/low-level/imap/mailimap_parser.c
	   fixed a crash.

2011-03-30 - libetpan-1.0cvs44 - hoa

	* src/low-level/imap/mailimap_extension.c
	* src/low-level/imap/mailimap_extension_types.h
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/xlist.[ch]
	   fixed XLIST implementation.

2011-03-30 - libetpan-1.0cvs43 - hoa

	* src/low-level/imap/Makefile.am
	* src/low-level/imap/xlist.c
  	   implemented XLIST (available on Gmail and Zimbra).

2011-03-29 - libetpan-1.0cvs42 - hoa

	* src/data-types/charconv.c
  	    korean charset workaround.

2011-03-25 - libetpan-1.0cvs41 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround for Mbox Mail for Mac.

2011-03-25 - libetpan-1.0cvs40 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround for Exchange (blank lines between response).

2011-03-24 - libetpan-1.0cvs39 - hoa

	* src/low-level/imap/mailimap_parser.c
	   improved workaround for Exchange servers.

2011-03-24 - libetpan-1.0cvs38 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround for Exchange servers that fails providing conformance in regards to Content-Disposition.

2011-03-16 - libetpan-1.0cvs37 - hoa

	* src/low-level/imap/mailimap.c
	* src/low-level/imap/mailimap_types.c
	   fixed memory leaks.

2011-03-15 - libetpan-1.0cvs36 - hoa

	* src/data-types/charconv.c
	   fixed charset conversation for hebrew (iso-8859-8-i and iso-8859-8-e)

2011-03-14 - libetpan-1.0cvs35 - hoa

	* src/data-types/mmapstring.c
	   fixed a possible crash.

2011-03-12 - libetpan-1.0cvs34 - hoa

	* src/low-level/imf/mailimf.c
	   fixed MIME Content-ID and Message-ID parser.

2011-03-11 - libetpan-1.0cvs33 - hoa

	* src/data-types/mailstream_low.c
	   revert libetpan-1.0cvs32.

2011-03-11 - libetpan-1.0cvs32 - hoa

	* src/data-types/mailstream_low.c
	   private log identifier is 3.

2011-03-11 - libetpan-1.0cvs31 - hoa

	* src/data-types/mailstream.[ch]
	* src/data-types/mailstream_low.[ch]
	* src/data-types/mailstream_types.h
	* src/low-level/imap/mailimap.c
	* src/low-level/nntp/newsnntp.c
	* src/low-level/pop3/mailpop3.c
	* src/low-level/smtp/mailsmtp.c
	   authentication privacy.

2011-03-10 - libetpan-1.0cvs30 - hoa

	* src/low-level/smtp/mailsmtp.c
	   support for broken AUTH advertisement.

2011-03-07 - libetpan-1.0cvs29 - hoa

	* src/low-level/smtp/mailsmtp.c
	   handle SMTP error code for authentication error.

2011-03-06 - libetpan-1.0cvs28 - hoa

	* src/low-level/imap/mailimap_parser.c
	   implemented workaround for exchange IMAP server (for multipart/signed).

2011-03-04 - libetpan-1.0cvs27 - hoa

	* src/low-level/imap/mailimap_parser.c
	   implemented workaround for exchange IMAP server.

2011-03-03 - libetpan-1.0cvs26 - hoa

	* src/low-level/imap/namespace_types.c
	   fixed memory leak.

2011-02-28 - libetpan-1.0cvs25 - hoa

	* src/low-level/smtp/mailsmtp.c
	* src/low-level/smtp/mailsmtp_types.h
	   implements SMTP authentication availability.

2011-02-27 - libetpan-1.0cvs24 - hoa

	* src/data-types/connect.c
	* src/data-types/mailstream_ssl.c
	   fixed build for win32.

2011-02-27 - libetpan-1.0cvs23 - hoa

	* src/low-level/smtp/mailsmtp.c
	   fixed error check for SMTP.
	
2011-02-20 - libetpan-1.0cvs22 - hoa

	* src/low-level/imap/namespace_parser.c
	   fixed build.

2011-02-20 - libetpan-1.0cvs21 - hoa

	* src/low-level/imap/namespace_parser.c
	   workaround Yahoo IMAP server.

2011-02-20 - libetpan-1.0cvs20 - hoa

	* src/low-level/imap/namespace.c
	* src/low-level/imap/namespace_parser.c
	   fixed parser.
	   fixed crash.

2011-02-19 - libetpan-1.0cvs19 - hoa

	* configure.ac
	* build-mac/libetpan.xcodeproj/project.pbxproj
	* src/low-level/imap/Makefile.am
	* src/low-level/imap/acl.h
	* src/low-level/imap/annotatemore.h
	* src/low-level/imap/mailimap.h
	* src/low-level/imap/mailimap_extension.c
	* src/low-level/imap/mailimap_extension_types.h
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/quota.[ch]
	* src/low-level/imap/quota_sender.h
	* src/low-level/nntp/newsnntp.c
	* src/low-level/imap/namespace.[ch]
	* src/low-level/imap/namespace_parser.[ch]
	* src/low-level/imap/namespace_sender.[ch]
	* src/low-level/imap/namespace_types.[ch]
	   implemented namespace.
	   fixed build system.
	   fixed some warnings.

2011-01-06 - libetpan-1.0cvs18 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	* src/engine/mailprivacy_tools.c
	* src/low-level/imap/mailimap_parser.c
	* src/low-level/imap/mailimap_types.[ch]
	* src/low-level/mime/mailmime.[ch]
	* src/low-level/mime/mailmime_types.[ch]
	* src/low-level/mime/mailmime_types_helper.c
	   support for Content-Location. breaks binary compatibility.

2010-12-15 - libetpan-1.0cvs17 - hoa

	* src/low-level/imap/mailimap_parser.c
	   fixed memory leak.

2010-12-05 - libetpan-1.0cvs16 - hoa

	* src/data-types/charconv.c
	   use GBK instead of GB2312 and GB_2312-80

2010-11-30 - libetpan-1.0cvs15 - hoa

	* src/low-level/imap/mailimap_parser.c
	   fixed IMAP parser

2010-11-28 - libetpan-1.0cvs14 - hoa

	* src/data-types/mailstream_helper.[ch]
	* src/data-types/mailstream_types.h
	* src/low-level/imap/mailimap.[ch]
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/mailimap_sender.[ch]
	* src/low-level/imap/mailimap_types.h
	* src/low-level/smtp/mailsmtp.[ch]
	* src/low-level/smtp/mailsmtp_helper.[ch]
	   improved progress report support for SMTP and IMAP.

2010-11-16 - libetpan-1.0cvs13 - hoa

	* src/low-level/mime/mailmime_decode.c
	   backport a fix from etPanKit.

2010-11-16 - libetpan-1.0cvs12 - hoa

 	* build-windows/libetpan.sln
	* build-windows/libetpan/libetpan.vcproj
	* build-windows/readmsg/readmsg.vcproj
	* build-windows/smtpsend/smtpsend.vcproj
	* src/data-types/carray.h
	* src/data-types/chash.h
	* src/data-types/mailstream_ssl.c
	* src/windows/win_etpan.h
	* tests/option-parser.c
	   improved port for win32.

2010-11-10 - libetpan-1.0cvs11 - hoa

	* src/low-level/mime/mailmime_decode.c
	   fixed decode of MIME header.

2010-11-04 - libetpan-1.0cvs10 - hoa

	* src/low-level/mime/mailmime_decode.c
	   fixed parsing of MIME header encoding of headers.

2010-10-21 - libetpan-1.0cvs9 - hoa

	* src/low-level/imap/idle.c
	   fixed function name. Thanks Michael Rasmussen.

2010-09-15 - libetpan-1.0cvs8 - hoa

	* src/low-level/imap/mailimap_types_helper.c
	   fixed search.

2010-09-05 - libetpan-1.0cvs7 - hoa

	* src/low-level/imap/mailimap_parser.c
	   create an empty list in case of empty multipart.

2010-09-04 - libetpan-1.0cvs6 - hoa

	* src/low-level/imap/mailimap_parser.c
	   workaround Gmail IMAP bug: zero bodies in multipart.

2010-09-03 - libetpan-1.0cvs5 - hoa

	* build-windows/libetpan_version.h
		update version.
	* src/data-types/mailstream.[ch]
	* src/data-types/mailstream_low.[ch]
	* src/low-level/imap/mailimap_parser.c
		report parse error.
	* build-mac/update.sh
		fixed mac update.
	* src/data-types/connect.c
		fixed memory leak.

2010-07-27 - libetpan-1.0cvs4 - hoa

	* src/low-level/smtp/mailsmtp_helper.c
	    fixed size verification for RFC 1870.

2010-07-27 - libetpan-1.0cvs3 - hoa

	* src/low-level/smtp/mailsmtp.[ch]
	* src/low-level/smtp/mailsmtp_helper.c
	* src/low-level/smtp/mailsmtp_types.h
	    implements RFC 1870 (SMTP SIZE).

2010-07-22 - libetpan-1.0cvs2 - hoa

	* src/low-level/imap/mailimap_sender.c
	* src/low-level/imap/mailimap_types.c
	    fixed date when appending.

2010-05-30 - libetpan-1.0cvs1 - hoa

	* src/low-level/imap/mailimap_parser.c
	    IMAP parser issue in case quoted string contains a CRLF.

2010-04-09 - libetpan-1.0 - hoa

	* release 1.0

2010-04-08 - libetpan-0.58cvs27 - hoa

	* configure.ac
	    Fixed --enable-debug flag in configure script.
	    Support of Berkeley DB 4.8.
	    Thanks to Tim Harder.

2010-04-05 - libetpan-0.58cvs26 - hoa

	* build-mac/update.sh
	    fixed script.

2010-04-05 - libetpan-0.58cvs25 - hoa

	* src/engine/mailprivacy_tools.c
	    fixed integration of patch (libetpan-0.58cvs22).
	* src/low-level/imap/idle.c
	    fixed error code.

2010-04-05 - libetpan-0.58cvs24 - hoa

	* src/low-level/imap/mailimap_sender.c
	    fixed OR condition in IMAP SEARCH command.

2010-04-05 - libetpan-0.58cvs23 - hoa

	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_tools.c
	* src/engine/mailprivacy_tools.c
	* src/low-level/imap/mailimap.c
	* src/low-level/pop3/mailpop3.c
	* tests/readmsg-simple.c
	* tests/readmsg-uid.c
	    fixed some other warnings.

2010-04-05 - libetpan-0.58cvs22 - hoa

	* src/data-types/maillock.c
	* src/data-types/mailstream_cancel.c
	* src/data-types/mailstream_low.c
	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/engine/mailprivacy.c
	* src/engine/mailprivacy_tools.c
	* src/low-level/feed/newsfeed.c
	* src/low-level/mbox/mailmbox.c
	* src/low-level/nntp/newsnntp.c
	* src/low-level/pop3/mailpop3.c
	* src/low-level/smtp/mailsmtp.c
	* tests/decrypt.c
	* tests/readmsg-simple.c
	* tests/readmsg-uid.c
	* tests/smime.c
	    fixed some warnings. Thanks to Didier Barvaux.

2010-04-05 - libetpan-0.58cvs21 - hoa

	* src/driver/implementation/imap/imapdriver.c
	    fixed memory leak (2941557). Thanks to Juha Paananen.
	
	* src/low-level/imap/mailimap_types_helper.c
	    fixed IMAP search (2941559). Thanks to Juha Paananen.

2010-04-05 - libetpan-0.58cvs20 - hoa

	* configure.ac
	* src/driver/interface/mailstorage_tools.c
	* tests/smtpsend.c
	    improved support of Solaris 2.8 (2786623). Thanks to Thomas Wiegner.

2010-04-05 - libetpan-0.58cvs19 - hoa

	* build-mac/update.sh
	    import of OpenSSL (prepare build for iPhone including OpenSSL)

	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_tools.c
	* src/low-level/pop3/mailpop3.[ch]
	    better error checking (2888850). Thanks to Alexander Shlemin.
		API change.

2010-03-21 - libetpan-0.58cvs18 - hoa

	* src/data-types/mailstream.h
	* src/data-types/mailstream_low.c
	    log protocol by stream

2010-01-17 - libetpan-0.58cvs17 - hoa

	* build-mac/update.sh
	* build-mac/libetpan.xcodeproj/project.pbxproj
	    build mac with quota

2010-01-14 - libetpan-0.58cvs16 - hoa

	* src/low-level/imap/Makefile.am
	    build with quota.

2010-01-04 - libetpan-0.58cvs15 - hoa

	* src/low-level/imap/mailimap_extension.c
	    fixed error code in extension parser (2918352). Thanks to Chris Head.

2010-01-04 - libetpan-0.58cvs14 - hoa

	* src/low-level/imap/acl_parser.c
	* src/low-level/imap/annotatemore_parser.c
	    fixed malloc allocation check (2918372). Thanks to Chris Head.

2010-01-03 - libetpan-0.58cvs13 - hoa

	* src/low-level/imap/mailimap_extension.c
	* src/low-level/imap/mailimap_extension_types.h
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/quota.[ch]				** NEW FILE **
	* src/low-level/imap/quota_parser.[ch]		** NEW FILE **
	* src/low-level/imap/quota_sender.[ch]		** NEW FILE **
	* src/low-level/imap/quota_types.[ch]		** NEW FILE **
	    added QUOTA support (RFC 2087, patch 2918500). Thanks to Chris Head.

2009-12-19 - libetpan-0.58cvs12 - hoa

	* src/low-level/smtp/mailsmtp.c
		better handling for errors.

2009-12-19 - libetpan-0.58cvs11 - hoa

	* src/low-level/imf/mailimf_types_helper.c
		fixed crash on Win32 (2892730).

2009-12-19 - libetpan-0.58cvs10 - hoa

	* src/data-types/mailstream_ssl.c
	* src/driver/implementation/imap/imapdriver_tools.c
	* src/low-level/imap/mailimap_socket.c
	* src/low-level/imap/mailimap_ssl.c
	* src/low-level/nntp/newsnntp_socket.c
	* src/low-level/nntp/newsnntp_ssl.c
	* src/low-level/pop3/mailpop3_socket.c
	* src/low-level/pop3/mailpop3_ssl.c
	* src/low-level/smtp/mailsmtp_socket.c
		fixed socket use on Win32 (2897095).

2009-12-19 - libetpan-0.58cvs9 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
		fixed crash (Thanks Gabor for discovering the bug).

2009-12-19 - libetpan-0.58cvs8 - hoa

	* mailimap_parser.[ch]
		fixed build.
		workaround in parser for imap.gmx.com (Thanks Matt Ronge for reproducible case).

2009-11-05 - libetpan-0.58cvs7 - hoa

	* src/low-level/imap/idle.c
	* src/low-level/imap/mailimap_parser.c
	* src/low-level/imap/mailimap_parser.h
		fixed IMAP IDLE parser (made public API for the IMAP parser).

2009-09-07 - libetpan-0.58cvs6 - hoa

	* build-mac/Info.plist
	* build-mac/update.sh
	* build-mac/libetpan.xcodeproj/project.pbxproj
	    added build for Mac OS X (within Xcode).

2009-09-07 - libetpan-0.58cvs5 - hoa

	* src/engine/mailprivacy_tools.c
	* src/low-level/feed/parser.c
	* src/low-level/imap/mailimap_types.c
	    fixed errors detected by clang static analyzer.

2009-09-06 - libetpan-0.58cvs4 - hoa

	* src/low-level/mime/mailmime_disposition.c
	    fixed warning.

2009-08-29 - libetpan-0.58cvs3 - hoa

    * src/driver/implementation/imap/imapdriver_tools.c
    * src/low-level/imf/mailimf_types_helper.c
        fixed some crash (and workaround of MailCore).
        Thanks to Gabor Cselle.

2009-08-29 - libetpan-0.58cvs2 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	* src/driver/implementation/nntp/nntpdriver.c
	    fixed memory leaks.
	    Thanks to Pawel Pekala.

2009-07-23 - libetpan-0.58cvs1 - hoa

	* configure.ac
	    fixed build for Mac OS X
	
	* src/driver/implementation/imap/imapdriver_tools.c
	    fix a crash.
	    Thanks to Gabor Cselle, Stefano Barbato
	
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3storage.c
	* src/driver/tools/imfcache.c
	* src/low-level/imap/mailimap_parser.c
	* src/low-level/imap/mailimap_types.c
	    fix memory leaks.
	    bugfixes.
	    Thanks to Pawel Pekala.

2009-06-16 - libetpan-0.58 - hoa

	* release 0.58
	   Improvements on SSL implementation.

2009-06-16 - libetpan-0.57cvs4 - hoa

	* configure.ac
	   prepare for 0.58

2009-06-12 - libetpan-0.57cvs3 - colin

	* src/data-types/mailstream_ssl.c
	   Gnutls: Better fix (API-compatible with libgnutls13)

2009-06-12 - libetpan-0.57cvs2 - colin

	* src/data-types/mailstream_ssl.c
	   Gnutls: Use compatibility mode to avoid being unable to 
	   connect to some servers. (see Claws Mail's bug #1930)
	* configure.ac
	   Fix error with automake 1.10.2 


2008-11-21 - libetpan-0.57cvs1 - colin

	* src/data-types/mailstream_ssl.c
	   Rehandshake if server asks to.

2008-10-08 - libetpan-0.57 - hoa

	* release 0.57
	    - fixed an issue with GnuTLS.

2008-10-05 - libetpan-0.56cvs2 - colin

	* src/data-types/mailstream_ssl.c
	   fixed return value when setting GnuTLS client cert.

2008-09-14 - libetpan-0.56cvs1 - hoa

	* src/driver/implementation/imap/imapdriver_cached_message.c
	    fixed a bug with cached IMAP bodystructure.

2008-09-02 - libetpan-0.56 - hoa

	* release 0.56
	    - fixed a crash

2008-09-01 - libetpan-0.55cvs2 - colin

	* src/data-types/mailstream_ssl.c
	    Check ssl_context to see if it's NULL (fixes crash)

2008-08-30 - libetpan-0.55cvs1 - colin

	* src/data-types/mailstream_ssl.c
	    Fix NULL frees introduced in 0.54cvs15
	    (Made SSL connections with no callback for client
	     certificates crash)

2008-08-26 - libetpan-0.55 - hoa

	* release 0.55
	    - better support for client certificate.
	    - bug fixes

2008-08-26 - libetpan-0.54cvs17 - hoa

	* configure.ac
	    support for db 4.7

2008-07-04 - libetpan-0.54cvs16 - hoa
	
	* src/data-types/mailstream_ssl.c
	    fixed wait_read() in ssl stream implementation.

2008-07-03 - libetpan-0.54cvs15 - colin
	
	* src/data-types/mailstream_ssl.c
	* src/data-types/mailstream_ssl.h
	    Add API to be able to set a client X509 certificate
	    and private key:
	    mailstream_ssl_set_client_certificate_data()
	    mailstream_ssl_set_client_private_key_data()
	    To be called from the callback set in 
	    mailstream_ssl_open_with_callback() for example.

2008-06-16 - libetpan-0.54cvs14 - hoa
	
	* src/low-level/imf/mailimf_types_helper.c
	    Fixed timezone calculation.

2008-06-15 - libetpan-0.54cvs13 - hoa
	
	* src/low-level/mime/mailmime_write_generic.c
	    Fixed MIME generator, MIME headers of message/rfc822
	    are no more moved to sub-part, except "MIME-Version".
	    Thanks to James Smith.

2008-05-27 - libetpan-0.54cvs12 - hoa
	
	* src/low-level/imf/mailimf.h
	    (re-)fixed 1909672: Date fields parsed as optional field on 64 bit OS.
	    mailimf_token_case_insensitive_parse() is fixed.
	    Thanks to James Smith.

	* src/low-level/imap/mailimap_parser.c
	    workarounded bug on lavabit.com server.

2008-05-26 - libetpan-0.54cvs11 - hoa

	* configure.ac
	* tests/option-parser.c
	    fixed build of tests where getopt_long is not present.

2008-05-26 - libetpan-0.54cvs10 - hoa

	* src/low-level/imap/mailimap_parser.c
	    workarounded bug on quoted string output on
	    lavabit.com IMAP server.

2008-05-23 - libetpan-0.54cvs9 - hoa

	* libetpan-config.h.in
	    fixed mingw32 build.
	    Thanks to Marcus Brinkmann.

2008-05-23 - libetpan-0.54cvs8 - hoa

	* src/low-level/imf/mailimf.c
	    Fixed crash in parser.
	    Thanks to James Smith.

2008-05-22 - libetpan-0.54cvs7 - hoa

	* build-windows/libetpan_version.h
	    updated version of win32 build
	
	* src/low-level/imf/mailimf.h
	    fixed 1909672: Date fields parsed as optional field on 64 bit OS.
	    mailimf_token_case_insensitive_parse() is fixed.
	    Thanks to James Smith.

2008-04-19 - libetpan-0.54cvs6 - hoa

	* rules.mk
	    fixed 'ln' usage.
	
	* src/driver/interface/maildriver_types.h
	    fixed headers documentation.

2008-04-11 - libetpan-0.54cvs5 - hoa

	* src/driver/implementation/feed/feeddriver.c
	    fixed charset handling in RSS driver.
	
2008-04-11 - libetpan-0.54cvs4 - hoa

	* src/low-level/feed/parser.c
	    fixed charset handling in RSS parser.

2008-03-16 - libetpan-0.54cvs3 - colin

	* src/driver/implementation/imap/imapdriver_tools.c
	    fixed collection of IMAP message envelope.

2008-02-28 - libetpan-0.54cvs2 - colin

	* src/data-types/mmapstring.c
	* src/data-types/mmapstring.h
	    Export mmap_string_set_tmpdir
	    Export mmap_string_set_ceil
	    Fix mmap_string_set_tmpdir prototype

2008-02-21 - libetpan-0.54cvs1 - hoa

	* tests/option-parser.c
	    fixed reference to indx.

2008-02-20 - libetpan-0.54 - hoa

	* release 0.54 - Synergy bis
	   - fixed regression on IMAP APPEND
	   - cleanup
	   - version fixes

2008-02-20 - libetpan-0.53cvs6 - hoa
	
	* configure.ac
	    prepare for 0.54

2008-02-20 - libetpan-0.53cvs5 - hoa

	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/tools/mailthread.c
	* src/low-level/imap/mailimap.c
	* src/low-level/mbox/mailmbox.c
	* src/low-level/mbox/mailmbox_types.c
	* tests/readmsg.c
	    additional cleanup.

2008-02-20 - libetpan-0.53cvs4 - hoa

	* src/data-types/Makefile.am
	* src/data-types/carray.[ch]
	* src/data-types/cinthash.[ch]    *** REMOVED FILES ***
	* src/data-types/clist.[ch]
	* src/data-types/mailstream_helper.c
	* src/data-types/md5.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_tools.c
	* src/driver/implementation/imap/imapdriver_tools_private.h
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_tools.[ch]
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_tools.[ch]
	* src/driver/implementation/nntp/nntpdriver_tools.[ch]
	* src/driver/implementation/pop3/pop3driver_tools.[ch]
	* src/driver/interface/maildriver_tools.c
	* src/driver/interface/mailmessage.h
	* src/driver/interface/mailstorage.c
	* src/driver/tools/generic_cache.[ch]
	* src/driver/tools/imfcache.[ch]
	* src/low-level/imap/acl_parser.[ch]
	* src/low-level/imap/annotatemore_parser.[ch]
	* src/low-level/imap/idle.c
	* src/low-level/imap/mailimap.c
	* src/low-level/imap/mailimap_extension.[ch]
	* src/low-level/imap/mailimap_extension_types.h
	* src/low-level/imap/mailimap_keywords.[ch]
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/mailimap_types_helper.[ch]
	* src/low-level/imap/uidplus_parser.[ch]
	* src/low-level/imf/mailimf.[ch]
	* src/low-level/mbox/mailmbox_parse.[ch]
	* src/low-level/mbox/mailmbox_types.c
	* src/low-level/mh/mailmh.[ch]
	* src/low-level/mime/mailmime.[ch]
	* src/low-level/mime/mailmime_content.[ch]
	* src/low-level/mime/mailmime_decode.[ch]
	* src/low-level/mime/mailmime_disposition.[ch]
	* src/low-level/nntp/newsnntp.[ch]
	* src/low-level/pop3/mailpop3.[ch]
	* src/low-level/pop3/mailpop3_helper.[ch]
	* tests/option-parser.c
	* tests/smtpsend.c
	    cleanup. Thanks to Daniel Richard G.
	    removed deprecated cinthash.

2008-02-17 - libetpan-0.53cvs3 - hoa

	* configure.ac
	* libetpan-config.h.in
	* build-windows/libetpan_version.h
	* src/data-types/connect.c
	* src/data-types/maillock.c
	* src/data-types/mailstream.c
	* src/data-types/mailstream_ssl.c
	* src/driver/implementation/data-message/data_message_driver.c
	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/db/dbdriver_message.c
	* src/driver/implementation/db/dbstorage.c
	* src/driver/implementation/feed/feeddriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/imap/imapdriver_message.c
	* src/driver/implementation/imap/imapstorage.c
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/maildir/maildirstorage.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached_message.c
	* src/driver/implementation/mbox/mboxdriver_message.c
	* src/driver/implementation/mbox/mboxstorage.c
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached_message.c
	* src/driver/implementation/mh/mhdriver_message.c
	* src/driver/implementation/mh/mhstorage.c
	* src/driver/implementation/mime-message/mime_message_driver.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_cached_message.c
	* src/driver/implementation/nntp/nntpdriver_message.c
	* src/driver/implementation/nntp/nntpstorage.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_cached_message.c
	* src/driver/implementation/pop3/pop3driver_message.c
	* src/driver/implementation/pop3/pop3driver_tools.c
	* src/driver/implementation/pop3/pop3storage.c
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	* src/engine/mailprivacy_tools.c
	* src/engine/mailprivacy_tools_private.h
	* src/low-level/feed/date.c
	* src/low-level/feed/newsfeed.c
	* src/low-level/feed/parser.c
	* src/low-level/imap/acl.c
	* src/low-level/imap/acl_types.h
	* src/low-level/imap/annotatemore.c
	* src/low-level/imap/annotatemore_types.c
	* src/low-level/imap/annotatemore_types.h
	* src/low-level/imap/mailimap_extension_types.h
	* src/low-level/imap/mailimap_print.c
	* src/low-level/imap/uidplus.c
	* src/low-level/imap/uidplus_types.h
	* src/low-level/imf/mailimf.c
	* src/low-level/imf/mailimf_types_helper.c
	* src/low-level/maildir/maildir.c
	* src/low-level/mbox/mailmbox.c
	* tests/option-parser.h
	* tests/readmsg-common.h
	* tests/smtpsend.c
	    cleanup. Thanks to Daniel Richard G.

2008-02-17 - libetpan-0.53cvs2 - hoa

	* src/low-level/imap/idle.[ch]
	    removing mailimap_check_idle() API.
	    This API was incorrectly implemented and not useful.

2008-02-17 - libetpan-0.53cvs1 - hoa

	* src/low-level/imap/mailimap_parser.c
	    fixed parse issue when appending message.
	    (continue-req rule)

2008-02-10 - libetpan-0.53 - hoa

	* release 0.53 - Synergy
	   - IPv6 issue
	   - gmail issues
	   - mingw32 build

2008-02-10 - libetpan-0.52cvs37 - hoa

	* src/data-types/mailstream_socket.c
	* src/low-level/imap/mailimap_parser.c
	    workaround for gmail IMAP bug.

2008-01-29 - libetpan-0.52cvs36 - colin

	* src/data-types/mailstream.c
	    Make sure to fail on any negative return value from 
	    mailstream_low_{write,read}, not only on -1.

2008-01-25 - libetpan-0.52cvs35 - colin

	* src/data-types/connect.c
	    Fix connection failures when client and server are ipv4 
	    and ipv6 capable, but no ip6 route exists to the server.

2008-01-20 - libetpan-0.52cvs34 - hoa

	* src/windows/win_init.cpp
	    fix build for mingw32.
	    Thanks to Marcus Brinkmann.

2008-01-14 - libetpan-0.52cvs33 - hoa

	* src/low-level/mime/mailmime_types_helper.c
	* src/low-level/mime/mailmime_types_helper.h
	* src/low-level/mime/mailmime_write_generic.c
	    fixed cache of MIME parts when no boundary is specified.

2008-01-01 - libetpan-0.52cvs32 - hoa

	* rules.mk
	    Fixed build on Solaris.

2007-12-15 - libetpan-0.52cvs31 - hoa

	* src/data-types/mailstream_ssl.c
	* src/data-types/mailstream_ssl_private.h  ** NEW FILE **
	* src/data-types/mmapstring.c
	* src/data-types/mmapstring_private.h      ** NEW FILE **
	* src/windows/Makefile.am
	* src/windows/win_init.cpp                 ** NEW FILE **
	* src/windows/wsocket.cpp ** REMOVED FILE **
	    Fixed lock initialization on Windows.
	    Thanks to Sebastien Marinier and Marcus Brinkmann.
	
	* tests/readmsg.c
	    Fixed build on Windows.

2007-12-14 - libetpan-0.52cvs30 - colin

	* src/data-types/mailstream_ssl.c
	    Allow "too short" certificates (512 bits < len < 1024bits)

2007-12-13 - libetpan-0.52cvs29 - hoa

	* src/low-level/imap/mailimap_parser.c
	    progress function is now called properly on IMAP.
	
	* tests/decrypt.c
	* tests/fetch-attachment.c
	* tests/pgp.c
	* tests/smime.c
	    Fixed build on Mac OS X.

2007-12-10 - libetpan-0.52cvs28 - Marcus Brinkmann

	* configure.ac
           Do not define LIBETPAN_DLL on mingw32 targets for now.
	
	* libetpan-config.h.in
           Define MMAP_UNAVAILABLE on all windows targets.
	
	* src/driver/implementation/data-message/data_message_driver.h
	* src/driver/tools/mailthread.h
	* src/engine/mailprivacy.h
	* src/engine/mailprivacy_tools.h
	* src/low-level/imf/mailimf_types_helper.h
	* src/low-level/imf/mailimf_write_generic.h
	   Add missing LIBETPAN_EXPORT declarations.
	
	* tests/decrypt.c
	* tests/pgp.c
	* tests/smime.c
           Use read instead mmap to get file content.

2007-11-25 - libetpan-0.52cvs27 - hoa

	* src/low-level/mime/mailmime_content.c
	* src/low-level/mime/mailmime_write_generic.c
	    fixed memory leak.
	    Thanks to astavtsev.

2007-11-15 - libetpan-0.52cvs26 - hoa

	* src/low-level/mime/mailmime_disposition.c
	    fixed MIME parser for Content-Disposition.

2007-11-15 - libetpan-0.52cvs25 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	    fixed uninitialized variable.

2007-11-14 - libetpan-0.52cvs24 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	    fixed IMAP driver.
	
	* m4/README      *** ADDED FILE ***
	* m4/libtool.m4  *** REMOVED FILE ***
	    fixed build.

2007-11-10 - libetpan-0.52cvs23 - hoa

	* src/low-level/mime/mailmime_write_generic.c
	    fixed quoted-printable when the given text did not finish with LF.

2007-11-08 - libetpan-0.52cvs22 - hoa

	* src/low-level/imap/mailimap_parser.c
	    fixed IMAP parser.

2007-11-07 - libetpan-0.52cvs21 - hoa

	* src/low-level/imap/mailimap_parser.c
	    fixed IMAP parser.

2007-11-03 - libetpan-0.52cvs20 - hoa

	* src/low-level/mime/mailmime_content.c
	    fixed MIME parser. Thanks to woolshum for reporting.

2007-11-01 - libetpan-0.52cvs19 - hoa

	* Makefile.am
	    fixed build.

2007-10-30 - libetpan-0.52cvs18 - hoa

	* src/low-level/imap/mailimap_parser.c
	    support for gmail broken IMAP server.

2007-10-30 - libetpan-0.52cvs18 - Marcus Brinkmann

       * configure.ac
           Substitute API_CURRENT, API_COMPATIBILITY, API_REVISION.
           Add new variables BUILD_REVISION, BUILD_TIMESTAMP,
           BUILD_FILEVERSION and substitute them.  Call
           AC_LIBTOOL_WIN32_DLL and AC_LIBTOOL_RC.  Add config file
           src/versioninfo.rc.
       * src/dummy.cpp          *** NEW FILE ***
       * src/versioninfo.rc.in  *** NEW FILE ***
       * src/Makefile.am
           (SUFFIXES, .rc.lo): New rules.
           (EXTRA_DIST, LTRCCOMPILE, libetpan_res, libetpan_deps,
           no_undefined, arch_sources): New variables.
	   (libetpan@LIBSUFFIX@_la_SOURCES): Add $(arch_sources).
	   (libetpan@LIBSUFFIX@_la_LDFLAGS): Add $(no_undefined).
	   (libetpan@LIBSUFFIX@_la_LIBADD): Add $(libetpan_res).
       * tests/Makefile.am
           (CFLAGS): Add -ULIBETPAN_DLL.
       * src/engine/mailprivacy.h
       * src/engine/mailprivacy_gnupg.h
       * src/engine/mailprivacy_smime.h
           Add export declarations.
       * src/engine/Makefile.am
           (libengine_la_SOURCES): Add mailprivacy_tools_private.h.

2007-10-30 - libetpan-0.52cvs17 - hoa

	* configure.ac
	    fixed configure.ac

	* src/low-level/imf/mailimf_write.c     *** REMOVED FILE ***
	* src/low-level/mime/mailmime_write.c   *** REMOVED FILE ***
	    removed unused files.

2007-10-27 - libetpan-0.52cvs16 - hoa

	* mailprivacy_gnupg.c
	* mailprivacy_smime.c
	* mailprivacy_tools.c
	* mailprivacy_tools_private.h *** NEW FILE ***
	    spawn_and_wait() is now in mailprivacy_tools.c

2007-10-27 - libetpan-0.52cvs15 - Marcus Brinkmann

       * autogen.sh
	   (libtoolize): Add -I m4 to aclocal invocation.
	
       * Makefile.am
	   (EXTRA_DIST): Add COPYRIGHT.
	   Add dependency for libetpan-config.h to
	   $(top_builddir)/stamp-prepare.
	   (libetpan-config.h): Fix VPATH build.

       * src/driver/implementation/imap/Makefile.am:
	   (libimap_la_SOURCES): Add imapdriver_tools_private.h.

2007-10-27 - libetpan-0.52cvs14 - Marcus Brinkmann

	* configure.ac
	    Add -I${top_srcdir}/src/windows and LIBETPAN_DLL to CFLAGS
	    on mingw32 architectures.  Also, check for arpa/inet.h and
	    winsock2.h.  Save LIBS during iconv test.
	* src/Makefile.am
	    Add windows to SUBDIRS only if HAVE_MINGW32_SYSTEM.  In this
	    case, add windows/libarch.la to libetpan.la.
	* src/data-types/Makefile.am
	    Remove mapping.h and mapping.c from libdata_types_la_SOURCES.
	* src/data-types/mapping.h  *** REMOVED FILE ***
	* src/data-types/mapping.c  *** REMOVED FILE ***
	* src/data-types/mailstream.c
	* src/data-types/md5.c
	* src/low-level/imap/idle.c
	    Include config.h and win_etpan.h conditionally.
	* src/data-types/mailstream_cancel.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	* src/low-level/smtp/mailsmtp.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mh/mhdriver.c
	    Include win_etpan.h conditionally.  Use WIN32 instead of _MSC_VER.
	* src/data-types/mailstream_low.c
	* src/windows/time_r.c
	    Include config.h conditionally.  Use WIN32 instead of _MSC_VER.
	* src/data-types/connect.c
	* src/data-types/maillock.c
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_tools.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/interfaces/maildriver_tools.c
	* src/driver/interfaces/mailstorage_tools.c
	* src/driver/tools/mailthread.c
	* src/driver/tools/generic_cache.c
	* src/low-level/maildir/maildir.c
	* src/low-level/mbox/mailmbox.c
	* src/low-level/mh/mailmh.c
	* src/low-level/mime/mailmime_write_generic.c
	* src/low-level/nntp/newsnntp.c
	* tests/readmsg-common.c
	* src/low-level/imf/mailimf_types_helper.c
	* src/low-level/mime/mailmime_types_helper.c
	    Use WIN32 instead of _MSC_VER.
	* src/data-types/mmapstring.c
	    Include win_etpan.h for WIN32 instead of just _MSC_VER.
	    Do not use pthread only for _MSC_VER instead all WIN32.
	* src/driver/implementation/db/dbdriver_message.c
	    Include win_etpan.h instead of sys/mman.h on Windows.
	* src/engine/mailprivacy.c
	    Include win_etpan.h instead of sys/mman.h on Windows.
	    Use WIN32 instead of _MSC_VER.  Do not check UID on windows.
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	    Include win_etpan.h instead of sys/mman.h and sys/wait.h
	    on Windows.  Rewrite command passphrase handling for Windows.
	* src/engine/mailprivacy_tools.c
	    Include win_etpan.h instead of sys/mman.h and libgen.h.
	* src/low-level/pop3/mailpop3_socket.c
	* src/low-level/pop3/mailpop3_ssl.c
	    Include stdlib.h.
	* src/windows/Makefile.am
	    Build libarch.la.
	* src/windows/win_etpan.h
	    Include time.h, dirent.h and winsock2.h on HAVE_MINGW32_SYSTEM
	    targets, and define EINPROGRESS, but not stat and dirent
	    replacements.
	* src/windows/wsocket.cpp
	    Include config.h conditionally, and always include winsock2.h.
	* tests/decrypt.c
	* tests/pgp.c
	* tests/smime.c
	    Include win_etpan.h instead of sys/mman.h on Windows.
	    Use WIN32 instead of _MSC_VER.
	* tests/smtpsend.c
	    Include win_etpan.h instead of sys/mman.h on Windows.  Do
	    not define STDIN_FILENO but use standard getopt on
	    HAVE_MINGW32_SYSTEM.  Use WIN32 instead of _MSC_VER where
	    appropriate.

2007-10-23 - libetpan-0.52cvs13 - hoa

	* m4/libtool.m4  *** NEW FILE ***
	    fixed autoreconf.
	
        * configure.ac
	    Add check for mingw32 platform.  Auto-detect IPv6
            support.  Check for pthreads-w32.
	    Thanks to Marcus Brinkmann.

2007-10-22 - libetpan-0.52cvs12 - hoa

	* src/data-types/mailstream_ssl.c
	    Fixed memory leak in GnuTLS related code.
	    Thanks to Colin Leroy.

2007-10-20 - libetpan-0.52cvs11 - hoa

	* src/driver/implementation/pop3/pop3storage.c
	    fixed false SASL auth type for try apop.
	    Thanks to Vasily Osadchuk.

2007-10-19 - libetpan-0.52cvs10 - hoa

	* src/data-types/mailstream_ssl.c
	    lower limits on server key length restriction
	    on GnuTLS implementation.
	    Thanks to Colin Leroy.

2007-10-11 - libetpan-0.52cvs9 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	    fixed a typo in MIME media content type.
	    Thanks to Simon Banks.
	
2007-10-10 - libetpan-0.52cvs8 - hoa

	* src/data-types/mailsasl.c
	    workaround a bug of libsasl when using SASL and SSL.

2007-09-22 - libetpan-0.52cvs7 - hoa

	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached_message.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached_message.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_cached_message.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_cached_message.c
	    changed error code when opening cache file does not work.

2007-09-18 - libetpan-0.52cvs6 - hoa

	* src/low-level/imap/mailimap_parser.c
	    workaround Exchange authentication response.
	    Thanks to Horia Olaru.

2007-09-15 - libetpan-0.52cvs5 - hoa

	* src/data-types/mailstream_socket.c
	* src/low-level/mime/mailmime_decode.c
	* tests/fetch-attachment.c
	    fixed cancellation of socket write on Win32.
	    MIME decoding of unknown charset is improved.
	    fetch attachment will write binary files.

2007-08-23 - libetpan-0.52cvs4 - hoa

	* src/low-level/pop3/mailpop3.c
	    Fixed POP3 SASL authentication.
	    Thanks to Horia Olaru.

2007-08-13 - libetpan-0.52cvs3 - hoa

	* src/main/Makefile.am
	    install libetpan.h in includedir/libetpan.h for
	    compatibility purpose.

2007-08-12 - libetpan-0.52cvs2 - hoa

	* configure.ac
	    added detection of db 4.5

2007-08-08 - libetpan-0.52cvs1 - hoa

	* autogen.sh
	* configure.ac
	    do not build doc in autogen.sh since Makefile won't exist yet.
	    cleaned up configure.ac so that version numbers are not duplicated.

	* src/driver/implementation/imap/Makefile.am
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/imap/imapdriver_message.c
	* src/driver/implementation/imap/imapdriver_tools.[ch]
	    - made imapdriver_tools.h public.
	    - As requested per Matt Ronge, imap_uid_list_to_env_list()
	      and imap_flags_to_flags() were made public.
	    - prefixed properly external symbols.

2007-08-06 - libetpan-0.52 - hoa

	* release 0.52 - Plaintive Rumba
	    fixes:
		build when IPv6 is not supported.
		advertised version.

2007-08-06 - libetpan-0.51cvs1 - hoa

	* src/data-types/connect.c
	    build problem when IPv6 is not supported.

2007-08-03 - libetpan-0.51 - alfie

	* release 0.51 - Sex & Religion
	    fixes:
		SASL enabled build fixed
		GnuTLS build fixed
		BIOs handling fix for openSSL

2007-07-30 - libetpan-0.50cvs6 - colin

	* src/data-types/connect.c
	    put back the (ai == NULL) test - it was alright
	    but a break was missing in the for loop
	* src/data-types/mailstream_ssl.c
	    rename wait_connect to wait_SSL_connect for
	    clarity

2007-07-30 - libetpan-0.50cvs5 - colin

	* src/data-types/connect.c
	    fix non-blocking connection (select()ing for
	    connect is on writability)
	* src/data-types/mailstream_ssl.c
	    fix handling of non-blocking underlying BIOs for
	    openSSL; fix build with GnuTLS.

2007-07-28 - libetpan-0.50cvs4 - hoa

	* src/data-types/connect.c
	    connection to server has timeout using
	    mailstream_network_delay.

2007-07-27 - libetpan-0.50cvs3 - hoa

	* src/low-level/imap/mailimap_parser.c
	    workaround broken behavior of www.safe-mail.net server.

2007-07-27 - libetpan-0.50cvs2 - hoa

	* src/low-level/smtp/mailsmtp.[ch]
	    cleanup: mapped MAILSMTP_AUTH_LOGIN authentication type
	    on SASL LOGIN mechanism.
	
2007-07-25 - libetpan-0.50cvs1 - hoa

	* src/low-level/smtp/mailsmtp.c
	    fixed build when SASL is enabled.
	
2007-07-25 - libetpan-0.50 - alfie

	* release 0.50 - Used to be alright
	    feature enhancements:
		RSS/ATOM feed implemented
		switched to automake build system
		IMAP IDLE implemented
		fetching by Message-Id implemented
	    fixes:
		several build fixes for Windows
		documentation build fixed

2007-07-21 - libetpan-0.49cvs32 - hoa

	* src/data-types/mailstream_ssl.c
	    revert previous change. this was not correct.

2007-07-21 - libetpan-0.49cvs31 - hoa

	* src/data-types/mailstream_ssl.c
	    set timeout also on SSL sessions.

2007-07-21 - libetpan-0.49cvs30 - hoa

	* src/low-level/pop3/mailpop3.c
	* src/low-level/smtp/mailsmtp.c
	    As per request of libsasl debian maintainer,
	    call to sasl_decode64() has been cleaned up.

2007-07-16 - libetpan-0.49cvs29 - hoa

	* doc/Makefile.am
	    fixed build of documentation.

2007-07-16 - libetpan-0.49cvs28 - hoa

	* autogen.sh
	    avoid automatic copy of GPL licence.

2007-07-16 - libetpan-0.49cvs27 - hoa

	* COPYRIGHT  *** ADDED FILE ***
	    reimported COPYRIGHT file since automake will always
	    overwrite COPYING file.

2007-07-16 - libetpan-0.49cvs26 - hoa

	* COPYRIGHT  *** REMOVED FILE ***
	    changed the name of the copyright file since automake will
	    force creation of 'COPYING' file.

2007-07-16 - libetpan-0.49cvs25 - hoa

	* build-windows/libetpan_version.h
	* src/main/libetpan_version.h.in
	* AUTHORS                                         *** NEW FILES ***
	* Makefile.am                                     *** NEW FILES ***
	* README                                          *** NEW FILES ***
	* autogen.sh
	* configure.ac                                    *** NEW FILES ***
	* rules.mk                                        *** NEW FILES ***
	* build-windows/Makefile.am                       *** NEW FILES ***
	* doc/Makefile.am                                 *** NEW FILES ***
	* doc/README.rules                                *** NEW FILES ***
	* include/Makefile.am                             *** NEW FILES ***
	* src/Makefile.am                                 *** NEW FILES ***
	* src/bsd/Makefile.am                             *** NEW FILES ***
	* src/data-types/Makefile.am                      *** NEW FILES ***
	* src/driver/Makefile.am                          *** NEW FILES ***
	* src/driver/implementation/Makefile.am           *** NEW FILES ***
	* src/driver/implementation/data-message/Makefile.am *** NEW FILES ***
	* src/driver/implementation/db/Makefile.am        *** NEW FILES ***
	* src/driver/implementation/feed/Makefile.am      *** NEW FILES ***
	* src/driver/implementation/hotmail/Makefile.am   *** NEW FILES ***
	* src/driver/implementation/imap/Makefile.am      *** NEW FILES ***
	* src/driver/implementation/maildir/Makefile.am   *** NEW FILES ***
	* src/driver/implementation/mbox/Makefile.am      *** NEW FILES ***
	* src/driver/implementation/mh/Makefile.am        *** NEW FILES ***
	* src/driver/implementation/mime-message/Makefile.am *** NEW FILES ***
	* src/driver/implementation/nntp/Makefile.am      *** NEW FILES ***
	* src/driver/implementation/pop3/Makefile.am      *** NEW FILES ***
	* src/driver/interface/Makefile.am                *** NEW FILES ***
	* src/driver/tools/Makefile.am                    *** NEW FILES ***
	* src/engine/Makefile.am                          *** NEW FILES ***
	* src/low-level/Makefile.am                       *** NEW FILES ***
	* src/low-level/feed/Makefile.am                  *** NEW FILES ***
	* src/low-level/imap/Makefile.am                  *** NEW FILES ***
	* src/low-level/imf/Makefile.am                   *** NEW FILES ***
	* src/low-level/maildir/Makefile.am               *** NEW FILES ***
	* src/low-level/mbox/Makefile.am                  *** NEW FILES ***
	* src/low-level/mh/Makefile.am                    *** NEW FILES ***
	* src/low-level/mime/Makefile.am                  *** NEW FILES ***
	* src/low-level/nntp/Makefile.am                  *** NEW FILES ***
	* src/low-level/pop3/Makefile.am                  *** NEW FILES ***
	* src/low-level/smtp/Makefile.am                  *** NEW FILES ***
	* src/main/Makefile.am                            *** NEW FILES ***
	* src/windows/Makefile.am                         *** NEW FILES ***
	* tests/Makefile.am                               *** NEW FILES ***
	* INSTALL                                         *** REMOVED FILE ***
	* Makefile.in                                     *** REMOVED FILE ***
	* Rules.in                                        *** REMOVED FILE ***
	* TODO                                            *** REMOVED FILE ***
	* configure.in                                    *** REMOVED FILE ***
	* install-sh                                      *** REMOVED FILE ***
	* doc/Makefile                                    *** REMOVED FILE ***
	* src/Makefile.in                                 *** REMOVED FILE ***
	* src/data-types/Makefile                         *** REMOVED FILE ***
	* src/driver/Makefile                             *** REMOVED FILE ***
	* src/driver/implementation/Makefile              *** REMOVED FILE ***
	* src/driver/implementation/data-message/Makefile *** REMOVED FILE ***
	* src/driver/implementation/db/Makefile           *** REMOVED FILE ***
	* src/driver/implementation/feed/Makefile         *** REMOVED FILE ***
	* src/driver/implementation/hotmail/Makefile      *** REMOVED FILE ***
	* src/driver/implementation/imap/Makefile         *** REMOVED FILE ***
	* src/driver/implementation/maildir/Makefile      *** REMOVED FILE ***
	* src/driver/implementation/mbox/Makefile         *** REMOVED FILE ***
	* src/driver/implementation/mh/Makefile           *** REMOVED FILE ***
	* src/driver/implementation/mime-message/Makefile *** REMOVED FILE ***
	* src/driver/implementation/nntp/Makefile         *** REMOVED FILE ***
	* src/driver/implementation/pop3/Makefile         *** REMOVED FILE ***
	* src/driver/interface/Makefile                   *** REMOVED FILE ***
	* src/driver/tools/Makefile                       *** REMOVED FILE ***
	* src/engine/Makefile                             *** REMOVED FILE ***
	* src/low-level/Makefile                          *** REMOVED FILE ***
	* src/low-level/feed/Makefile                     *** REMOVED FILE ***
	* src/low-level/imap/Makefile                     *** REMOVED FILE ***
	* src/low-level/imf/Makefile                      *** REMOVED FILE ***
	* src/low-level/maildir/Makefile                  *** REMOVED FILE ***
	* src/low-level/mbox/Makefile                     *** REMOVED FILE ***
	* src/low-level/mh/Makefile                       *** REMOVED FILE ***
	* src/low-level/mime/Makefile                     *** REMOVED FILE ***
	* src/low-level/nntp/Makefile                     *** REMOVED FILE ***
	* src/low-level/pop3/Makefile                     *** REMOVED FILE ***
	* src/low-level/smtp/Makefile                     *** REMOVED FILE ***
	* src/main/Makefile                               *** REMOVED FILE ***
	* tests/Makefile                                  *** REMOVED FILE ***
	    new build system using automake so that build
	    outside of the source folder is possible.
	    Thanks to Marcus Brinkmann.

2007-07-15 - libetpan-0.49cvs24 - hoa

	* src/data-types/connect.c
	    fixed integer sign. (bis)

2007-07-14 - libetpan-0.49cvs24 - hoa

	* src/data-types/connect.c
	    fixed integer sign.

2007-07-12 - libetpan-0.49cvs23 - smarinier

	* build-windows/README.txt
	* build-windows/build_headers.list
	* build-windows/libetpan-config.h 
	* build-windows/libetpan_version.h
	* build-windows/libetpan/libetpan.vcproj
		2 new projects : debug_ssl and release_ssl		
	
	* src/data-types/mailstream_cancel.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
		mutex, ssl for windows

	* src/data-types/maillock.c
	* src/low-level/mime/mailmime_write_mem.c
	* src/data-types/connect.c
			warning

	* src/windows/inet_aton.c
	* src/windows/win_etpan.h
		inet_aton for Windows

2007-07-01 - libetpan-0.49cvs22 - hoa

	* src/driver/implementation/nntp/nntpstorage.c
	* src/driver/implementation/pop3/pop3storage.c
	    local bind feature fixed.

2007-06-30 - libetpan-0.49cvs21 - hoa

	* src/data-types/connect.[ch]
	* src/driver/implementation/imap/imapdriver_types.h
	* src/driver/implementation/imap/imapstorage.[ch]
	* src/driver/implementation/nntp/nntpdriver_types.h
	* src/driver/implementation/nntp/nntpstorage.[ch]
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_types.h
	* src/driver/implementation/pop3/pop3storage.[ch]
	* src/driver/interface/mailstorage_tools.[ch]
	    local bind feature has been implemented.
	    Thanks to Johannes Schlumberger.

2007-06-30 - libetpan-0.49cvs20 - hoa

	* src/low-level/nntp/newsnntp.c
	    improved API to fetch article by Message ID.

2007-06-29 - libetpan-0.49cvs19 - hoa

	* src/low-level/nntp/newsnntp.c
	* src/low-level/nntp/newsnntp.h
	    allows fetch article by Message-ID.
	    Thanks to Thomas Glanzmann.

2007-05-26 - libetpan-0.49cvs18 - hoa

	* src/low-level/imap/idle.c
	* src/low-level/imap/mailimap.h
	    fixed IMAP IDLE.

2007-05-25 - libetpan-0.49cvs17 - hoa

	* src/low-level/imap/Makefile
	* src/low-level/imap/idle.[ch]     *** NEW FILES ***
	    implemented IMAP IDLE.

2007-05-25 - libetpan-0.49cvs16 - hoa

	* src/data-types/mailstream_cancel.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	    fixed cancel on win32. Thanks to Andrei N. Balabohin.

	* src/low-level/feed/date.c
	    fixed include for win32.

	* src/low-level/imap/mailimap.c
	* src/low-level/imap/mailimap_types.h
	    prepare for IMAP IDLE.

2007-05-24 - libetpan-0.49cvs15 - hoa

	* src/low-level/imap/acl.c
	* src/low-level/imap/annotatemore.c
	* src/low-level/imap/mailimap.[ch]
	* src/low-level/imap/uidplus.c
	    prefixed properly global symbols.

2007-05-19 - libetpan-0.49cvs14 - hoa

	* src/driver/implementation/imap/imapdriver_tools.c
	    fixed comparison.

2007-05-02 - libetpan-0.49cvs13 - hoa

	* src/driver/implementation/pop3/pop3driver.c
	    get message by UID is implemented.

2007-04-26 - libetpan-0.49cvs12 - hoa

	* src/low-level/feed/newsfeed_item.c
	    fixed build problem.

2007-04-24 - libetpan-0.49cvs11 - hoa

	* src/low-level/feed/parser.c
	    fixed build problem.

2007-04-07 - libetpan-0.49cvs10 - hoa

	* src/driver/implementation/feed/feeddriver_message.c
	    fallback on summary if no content for the given article.

2007-04-07 - libetpan-0.49cvs9 - hoa

	* src/low-level/feed/Makefile
	* src/low-level/feed/newsfeed.c
	* src/low-level/feed/parser.c
	* src/low-level/feed/parser_atom10.h
	* src/low-level/feed/parser_atom03.[ch]      *** NEW FILES ***
	    fixed build. Added parser for atom 0.3

2007-04-07 - libetpan-0.49cvs8 - hoa

	* src/low-level/feed/Makefile
	* src/low-level/feed/newsfeed.c
	* src/low-level/feed/newsfeed.h
	* src/low-level/feed/newsfeed_item.c
	* src/low-level/feed/newsfeed_item.h
	* src/low-level/feed/newsfeed_item_enclosure.[ch]   *** NEW FILES ***
	* src/low-level/feed/newsfeed_types.h
	* src/low-level/feed/parser.c
	* src/low-level/feed/parser_rdf.c
	* src/low-level/feed/parser_rss20.c
	    Added a feed item enclosure, sync with rssyl-ng.
	    Implementation of unknown charset handler for expat.

2007-04-03 - libetpan-0.49cvs7 - hoa

	* src/low-level/imap/mailimap.c
	    Fixed a crash in IMAP when greeting message is empty.
	    Thanks to ruskie for the report.

2007-04-03 - libetpan-0.49cvs6 - hoa

	* configure.in
	    use of liblockfile can be disabled.
	    Thanks to Thomas de Grenier de Latour.

2007-04-03 - libetpan-0.49cvs5 - hoa

	* src/low-level/mime/mailmime_decode.c
	    fixed behavior of mailmime_encoded_phrase_parse().
	    Thanks to Laurent Birtz.

2007-01-28 - libetpan-0.49cvs4 - hoa

	* build-windows/build_headers.list
	* build-windows/libetpan/libetpan.vcproj
	    fixed build for Windows. Thanks to Andrei N. Balabohin.
	
	* src/data-types/mailstream.h
	* src/data-types/mailstream_cancel.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.[ch]
	    Implemented stream cancel on Windows.
	    Fixed build when SSL is not compiled in.
	    Thanks to Andrei N. Balabohin.

2007-01-28 - libetpan-0.49cvs3 - hoa

	* src/driver/implementation/data-message/data_message_driver.c
	    fill msg_fields field in mailmessage structure
	    for data message driver.

2007-01-28 - libetpan-0.49cvs2 - hoa

	* configure.in
	* build-windows/libetpan_version.h
	* src/low-level/feed/newsfeed.c
	* src/low-level/feed/newsfeed_private.[ch]
	* src/low-level/feed/newsfeed_types.h
	* src/low-level/feed/parser.c
	* src/low-level/feed/parser_atom10.c
	* src/low-level/feed/parser_rdf.c
	* src/low-level/feed/parser_rss20.c
	* src/low-level/imap/uidplus_parser.c
	    detection for curl and expat.

2007-01-18 - libetpan-0.49cvs1 - hoa

	* src/driver/implementation/Makefile
	* src/driver/implementation/feed/Makefile                ** NEW FILES **
	* src/driver/implementation/feed/feeddriver.[ch]         ** NEW FILES **
	* src/driver/implementation/feed/feeddriver_message.[ch] ** NEW FILES **
	* src/driver/implementation/feed/feeddriver_types.h      ** NEW FILES **
	* src/driver/implementation/feed/feedstorage.[ch]        ** NEW FILES **
	* src/driver/tools/mailthread.c
	* src/low-level/Makefile
	* src/low-level/feed/Makefile               ** NEW FILES **
	* src/low-level/feed/date.[ch]              ** NEW FILES **
	* src/low-level/feed/newsfeed.[ch]          ** NEW FILES **
	* src/low-level/feed/newsfeed_item.[ch]     ** NEW FILES **
	* src/low-level/feed/newsfeed_private.[ch]  ** NEW FILES **
	* src/low-level/feed/newsfeed_types.h       ** NEW FILES **
	* src/low-level/feed/parser.[ch]            ** NEW FILES **
	* src/low-level/feed/parser_atom10.[ch]     ** NEW FILES **
	* src/low-level/feed/parser_rdf.[ch]        ** NEW FILES **
	* src/low-level/feed/parser_rss20.[ch]      ** NEW FILES **
	* src/main/libetpan.h
	* tests/option-parser.c
	* tests/option-parser.h
	    implementation of RSS/ATOM feed.
	    Still needs to write autodetection for needed libraries.

2007-01-08 - libetpan-0.49 - alfie

	* release 0.49 - Drive
	    feature enhancements:
		stream cancellation
		better handling of ssl error
		improved imap cache
	    fixes:
		various bugfixes

2007-01-07 - libetpan-0.48cvs15 - hoa

	* src/data-types/mailstream_ssl.[ch]
	    remove unnecessary casts, fixed properly header.

2007-01-06 - libetpan-0.48cvs14 - colin

	* src/data-types/mailstream_ssl.c
	    Cleaner type fix -- Changes mailstream_ssl_get_certificate
	    return type to ssize_t

2007-01-06 - libetpan-0.48cvs13 - colin

	* src/data-types/mailstream_ssl.c
	    Fixed size_t/int problem.

2007-01-06 - libetpan-0.48cvs12 - colin

	* src/data-types/mailstream_ssl.c
	    Fixed GNUTLS build.

2006-12-29 - libetpan-0.48cvs11 - hoa

	* src/data-types/mailstream_cancel.c
	* src/data-types/mailstream_ssl.c
	    simplified code. Fixed build.

2006-12-29 - libetpan-0.48cvs10 - colin

	* src/data-types/mailstream_cancel.c
	    Fix allocations

2006-12-29 - libetpan-0.48cvs9 - hoa

	* src/data-types/timeutils.c
	    merged Cyrus IMAPD changes.
	    This fixes the crash in mkgmtime().

2006-12-26 - libetpan-0.48cvs8 - hoa

	* src/data-types/timeutils.[ch]          ** NEW FILES **
	* src/data-types/Makefile
	* src/driver/tools/mailthread.c
	* src/low-level/imf/mailimf_types_helper.[ch]
	    avoid code duplication.
	
	* build-windows/build_headers.list
	* build-windows/libetpan/libetpan.vcproj
	    build for Windows.
	
	* src/data-types/mailstream_ssl.[ch]
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_types.h
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_types.h
	* src/low-level/imap/mailimap_socket.[ch]
	* src/low-level/imap/mailimap_ssl.[ch]
	* src/low-level/nntp/newsnntp_ssl.[ch]
	* src/low-level/pop3/mailpop3_socket.[ch]
	* src/low-level/pop3/mailpop3_ssl.[ch]
	* src/low-level/smtp/mailsmtp_socket.[ch]
	* src/low-level/smtp/mailsmtp_ssl.[ch]
	    added SSL callback.
	
	* src/driver/interface/maildriver_types.h
	    cleanup.

2006-12-23 - libetpan-0.48cvs7 - hoa

	* src/data-types/mailstream_ssl.[ch]
	    callback for SSL implemented. Thanks to Andrei N. Balabohin.

2006-12-22 - libetpan-0.48cvs6 - hoa

	* src/data-types/mailstream_cancel.[ch]      ** NEW FILES **
	* src/data-types/mailstream_cancel_types.h   ** NEW FILES **
	    cancel implemented.

2006-12-22 - libetpan-0.48cvs5 - hoa

	* src/data-types/Makefile
	* src/data-types/mailstream.c
	* src/data-types/mailstream.h
	* src/data-types/mailstream_low.c
	* src/data-types/mailstream_low.h
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_socket.h
	* src/data-types/mailstream_ssl.c
	* src/data-types/mailstream_types.h
	    cancel implemented. breaks binary compatibility.
	
	* src/low-level/mime/mailmime_content.c
	    fixed MIME parser. Thanks to Laurent Birtz.

2006-12-13 - libetpan-0.48cvs4 - hoa

	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.[ch]
	    removed C99 structure style. Use a unique code for Unix/Windows.
	    make a function really internal.
	
	* src/data-types/clist.h
	* src/data-types/mailstream_low.c
	* src/low-level/pop3/mailpop3.h
	* src/low-level/pop3/mailpop3_socket.h
	* src/driver/implementation/imap/imapdriver_tools.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_tools.c
	* src/driver/interface/maildriver_errors.h
	* src/low-level/imap/mailimap_ssl.[ch]
	* src/low-level/imap/mailimap_types.h
	* src/low-level/nntp/newsnntp_ssl.[ch]
	* src/low-level/nntp/newsnntp_types.h
	* src/low-level/pop3/mailpop3_ssl.[ch]
	* src/low-level/pop3/mailpop3_types.h
	* src/low-level/smtp/mailsmtp.c
	* src/low-level/smtp/mailsmtp_socket.c
	* src/low-level/smtp/mailsmtp_ssl.[ch]
	* src/low-level/smtp/mailsmtp_types.h
	    SSL error management.
	    exports some functions for Windows.
	    Thanks to Andrei N. Balabohin.
	
	* src/driver/implementation/mh/mhdriver.c
	    removed warning.
	
	* src/low-level/imap/uidplus_types.h
	    compilation fix for Windows.
	    Thanks to Andrei N. Balabohin.

2006-12-12 - libetpan-0.48cvs3 - hoa

	* src/low-level/imap/mailimap_parser.c
	* src/low-level/imap/mailimap_types.h
	    Fixed code documentation.
	
	* src/low-level/imap/uidplus_parser.c
	    Fixed warning. Thanks to anosek.
	
	* src/low-level/mime/mailmime_decode.c
	    Interpret 'UTF8' as 'UTF-8'.

2006-12-10 - libetpan-0.48cvs2 - colin

	* src/low-level/imap/mailimap.c
	    fix crash when server answers " * BYE"
	    Fixes debian bug #398382

2006-11-12 - libetpan-0.48cvs1 - hoa

	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/imap/imapdriver_tools.c
	    cache of bodystructure for IMAP driver.

2006-10-26 - libetpan-0.48 - alfie

	* release 0.48 - Hypergeek
	    feature enhancements:
		UIDPLUS implemented
	    fixes:
		various smaller code fixes

2006-10-26 - libetpan-0.47cvs6 - hoa

	* src/low-level/imap/mailimap_types.c
	    fixed the code of response_info_free().

2006-10-25 - libetpan-0.47cvs5 - hoa

	* src/driver/implementation/db/dbdriver.c
	    fixed the code of db_get_next_validity().

2006-10-22 - libetpan-0.47cvs4 - hoa

	* src/low-level/imf/mailimf_types_helper.c
	    fixed handling of Bcc.

2006-10-20 - libetpan-0.47cvs3 - hoa

	* src/low-level/imap/uidplus.h
	    fixed extern declaration.

2006-10-20 - libetpan-0.47cvs2 - hoa

	* src/low-level/imap/acl.[ch]
	* src/low-level/imap/annotatemore.[ch]
	* src/low-level/imap/mailimap_extension.[ch]
	* src/low-level/imap/uidplus.[ch]
	    added an API to check the capabilities.
	    fixed UIDPLUS copy.

2006-10-20 - libetpan-0.47cvs1 - hoa

	* configure.in
	* src/low-level/imap/Makefile
	* src/low-level/imap/acl.[ch]
	* src/low-level/imap/acl_types.c
	* src/low-level/imap/annotatemore.[ch]
	* src/low-level/imap/annotatemore_types.c
	* src/low-level/imap/mailimap.[ch]
	* src/low-level/imap/mailimap_extension.c
	* src/low-level/imap/mailimap_extension_types.h
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/mailimap_sender.[ch]
	* src/low-level/imap/mailimap_types.[ch]
	    Fixed API of extension. Exported some functions.
	
	* src/low-level/imap/uidplus.[ch]          ** NEW FILES **
	* src/low-level/imap/uidplus_parser.[ch]   ** NEW FILES **
	* src/low-level/imap/uidplus_sender.[ch]   ** NEW FILES **
	* src/low-level/imap/uidplus_types.[ch]    ** NEW FILES **
	    implementation of UIDPLUS.

2006-10-13 - libetpan-0.47 - alfie

	* release 0.47 - Son Et Lumiere
	    feature enhancements:
		IPv6 Support
	    fixes:
		various leaks and crashes
		MIME decoding fix
		gnutls fix
		SASL fix
		AUTH parser fix

2006-10-13 - libetpan-0.46cvs13 - alfie

	* src/low-level/smtp/mailsmtp_types.h
	    order it backward compatible.

2006-10-12 - libetpan-0.46cvs12 - hoa

	* src/low-level/imap/mailimap.c
	    fixed crash.

2006-10-12 - libetpan-0.46cvs11 - hoa

	* src/low-level/maildir/maildir.c
	    fixed memory leaks.

2006-10-07 - libetpan-0.46cvs10 - hoa

	* src/low-level/mime/mailmime_decode.c
	    fixed MIME header decoding.

2006-09-25 - libetpan-0.46cvs9 - colin

	* src/data-types/mailstream_ssl.c
	    Really fix gnutls' init.

2006-09-24 - libetpan-0.46cvs8 - colin

	* src/data-types/mailstream_ssl.c
	    Fix a typo that made gnutls crash on some servers
	    (mail.hp.com:993 for example). Sorry :-/

2006-09-05 - libetpan-0.46cvs7 - hoa

	* src/low-level/imap/mailimap_parser.c
	    implemented workaround for Binc IMAP.
	    FLAGS response can be sent with "\*" on Binc IMAP.
	    That's not conformant to IMAP RFC.

2006-08-30 - libetpan-0.46cvs6 - hoa

	* src/engine/mailprivacy_smime.c
	    improved performance of certificates collector.
	
	* src/low-level/imap/mailimap.c
	* src/low-level/pop3/mailpop3.c
	* src/low-level/smtp/mailsmtp.c
	    fixed use of SASL.
	    Thanks to Andrei N. Balabohin.

2006-08-05 - libetpan-0.46cvs5 - hoa

	* src/data-types/Makefile
	* src/data-types/maillock.c
	* src/main/libetpan.h
	    exports maillock.h
	    file descriptor is now optional.
	
	* src/data-types/mailstream_ssl.c
	    disable fcntl() call on win32.
	
	* src/driver/implementation/imap/imapdriver_cached.c
	    fixed a leak.
	
	* src/driver/implementation/nntp/nntpdriver_tools.c
	    fixed error code.
	
	* src/low-level/imf/mailimf.c
	    fixed a leak.
	
	* src/low-level/mime/mailmime_decode.c
	    'unknown' character set is considered as 'iso-8859-1'.
	
	* src/low-level/pop3/mailpop3.c
	    fixed AUTH parser.
	    Thanks to Andrei N. Balabohin.
	
	* src/low-level/smtp/mailsmtp.c
	* src/low-level/smtp/mailsmtp_types.h
	    improved error management.
	    Thanks to Andrei N. Balabohin.

2006-07-15 - libetpan-0.46cvs4 - hoa

	* configure.in
	    IPv6 is enabled by default.

2006-07-15 - libetpan-0.46cvs3 - hoa

	* configure.in
	* src/data-types/connect.c
	* src/driver/interface/mailstorage_tools.c
	    IPv6 implementation. Thanks to Didier Barvaux.

2006-07-15 - libetpan-0.46cvs2 - hoa

	* build-windows/libetpan_version.h
	    fixed libetpan version for Windows.
	    
	* src/driver/implementation/imap/imapdriver_cached.c
	    fixed function prototype.

2006-07-14 - libetpan-0.46cvs1 - hoa

	* src/low-level/imf/mailimf.c
	    fixed a crash in case of parse error on Bcc field.

2006-07-12 - libetpan-0.46 - alfie

	* release 0.46 - Drawing Circles
	    feature enhancements:
		imap extension api
		imap annotate
		C89 conformance
	    fixes:
		fixed crash when using gnutls
		various other (small) fixes

2006-07-03 - libetpan-0.45cvs17 - skunk

	* Rules.in
	    new "prepare" rule to prevent redundant header copying
	* install-sh
	    updated to latest version from autoconf-2.60 package
	* src/data-types/charconv.c
	    moved variable declarations up to avoid having declarations 
	    after statements, plus some minor syntax fixes

2006-06-29 - libetpan-0.45cvs16 - hoa

	* configure.in
	    temporary fix for install.

2006-06-28 - libetpan-0.45cvs15 - skunk

	* src/data-types/mailstream.c
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/pop3/pop3driver.c
	    checked in the remaining bits of the last patch

2006-06-26 - libetpan-0.45cvs14 - hoa

	* Rules.in
	* configure.in
	* build-windows/libetpan_version.h
	* src/Makefile.in
	* src/data-types/charconv.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	* src/data-types/mapping.c
	* src/data-types/mmapstring.c
	* src/driver/Makefile
	* src/driver/implementation/Makefile
	* src/driver/implementation/data-message/Makefile
	* src/driver/implementation/data-message/data_message_driver.c
	* src/driver/implementation/db/Makefile
	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/db/dbdriver_message.c
	* src/driver/implementation/db/dbstorage.c
	* src/driver/implementation/hotmail/Makefile
	* src/driver/implementation/imap/Makefile
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/imap/imapdriver_message.c
	* src/driver/implementation/imap/imapstorage.c
	* src/driver/implementation/maildir/Makefile
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/maildir/maildirstorage.c
	* src/driver/implementation/mbox/Makefile
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached_message.c
	* src/driver/implementation/mbox/mboxdriver_message.c
	* src/driver/implementation/mbox/mboxstorage.c
	* src/driver/implementation/mh/Makefile
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached_message.c
	* src/driver/implementation/mh/mhdriver_message.c
	* src/driver/implementation/mh/mhdriver_tools.c
	* src/driver/implementation/mh/mhstorage.c
	* src/driver/implementation/mime-message/Makefile
	* src/driver/implementation/mime-message/mime_message_driver.c
	* src/driver/implementation/nntp/Makefile
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_cached_message.c
	* src/driver/implementation/nntp/nntpdriver_message.c
	* src/driver/implementation/nntp/nntpstorage.c
	* src/driver/implementation/pop3/Makefile
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_cached_message.c
	* src/driver/implementation/pop3/pop3driver_message.c
	* src/driver/implementation/pop3/pop3storage.c
	* src/driver/interface/Makefile
	* src/driver/interface/maildriver_types.h
	* src/driver/tools/Makefile
	* src/driver/tools/generic_cache.c
	* src/engine/Makefile
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	* src/engine/mailprivacy_tools.c
	* src/low-level/Makefile
	* src/low-level/imap/Makefile
	* src/low-level/imap/acl.c
	* src/low-level/imap/acl_parser.c
	* src/low-level/imap/acl_sender.c
	* src/low-level/imap/acl_types.c
	* src/low-level/imap/annotatemore.c
	* src/low-level/imap/annotatemore_parser.c
	* src/low-level/imap/annotatemore_sender.c
	* src/low-level/imap/annotatemore_types.c
	* src/low-level/imap/mailimap_extension.c
	* src/low-level/imap/mailimap_helper.c
	* src/low-level/imap/mailimap_keywords.c
	* src/low-level/imap/mailimap_socket.c
	* src/low-level/imap/mailimap_ssl.c
	* src/low-level/imap/mailimap_types.c
	* src/low-level/imap/mailimap_types_helper.c
	* src/low-level/maildir/maildir.c
	* src/low-level/mbox/mailmbox.c
	* src/low-level/mh/mailmh.c
	* src/low-level/mime/mailmime.c
	* src/low-level/mime/mailmime_decode.c
	* src/low-level/mime/mailmime_disposition.c
	* src/low-level/mime/mailmime_types.c
	* src/low-level/mime/mailmime_types_helper.c
	* src/low-level/mime/mailmime_write.c
	* src/low-level/mime/mailmime_write_file.c
	* src/low-level/mime/mailmime_write_generic.c
	* src/low-level/mime/mailmime_write_mem.c
	* src/low-level/nntp/newsnntp.c
	* src/low-level/nntp/newsnntp_socket.c
	* src/low-level/nntp/newsnntp_ssl.c
	* src/low-level/smtp/mailsmtp_helper.c
	* src/low-level/smtp/mailsmtp_socket.c
	* src/low-level/smtp/mailsmtp_ssl.c
	* tests/readmsg-common.c
	    conformance patch by Daniel Richard G.

2006-06-16 - libetpan-0.45cvs13 - smarinier

	* src/data-types/charconv.[ch]
	    extended_charconv might be used if you don't have iconv
	    or if you want to handle some conversions by yourself

	* src//driver/interface/maildriver_types.[ch]
	    libetpan_malloc and libetpan_freei should be used to
	    allocate/free data freed/allocated by libetpan

2006-06-07 - libetpan-0.45cvs12 - smarinier

	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_tools.[ch]
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/interface/maildriver.[ch]
	* src/driver/interface/maildriver_tools.[ch]
	* src/driver/interface/maildriver_types.h
	* src/low-level/imap/mailimap_helper.[ch]
	* src/low-level/mime/mailmime_write_mem.c
	* src/low-level/pop3/mailpop3_helper.[ch]
	* tests/option-parser.[ch]
	    use const char* when char* is not necessary (2)

2006-06-06 - libetpan-0.45cvs11 - smarinier

	* src/driver/implementation/imap/imapdriver.c
	    add (slow) remove_message to imap_driver

2006-06-02 - libetpan-0.45cvs10 - smarinier

	* src/driver/implementation/nntp/nntpstorage.c
	    minor bug on nn_command deletion

	* src/driver/implementation/imap/imapstorage.[ch]
	* src/driver/implementation/maildir/maildirstorage.[ch]
	* src/driver/implementation/nntp/nntpstorage.[ch]
	* src/driver/interface/mailstorage.[ch]
	* src/data-types/md5.[ch]
	* src/data-types/md5global.h
	* src/driver/implementation/mbox/mboxstorage.[ch]
	* src/driver/implementation/mh/mhstorage.[ch]
	* src/driver/implementation/pop3/pop3storage.[ch]
	    use const char* when char* is not necessary
	
2006-06-02 - libetpan-0.45cvs9 - hoa

	* src/driver/interface/maildriver.c
	    fixed copy-paste bug. Thanks to Sebastien Marinier.

2006-05-30 - libetpan-0.45cvs8 - hoa

	* configure.in
	    support for newer version of Debian Berkeley DB.

2006-05-22 - libetpan-0.45cvs7 - hoa

	* autogen.sh
	* configure.in
	* src/data-types/carray.c
	* src/data-types/charconv.[ch]
	* src/data-types/chash.c
	* src/data-types/cinthash.c
	* src/data-types/clist.[ch]
	* src/data-types/connect.[ch]
	* src/data-types/mail_cache_db.c
	* src/data-types/maillock.c
	* src/data-types/mailsasl.c
	* src/data-types/mailsem.c
	* src/data-types/mailstream_helper.c
	* src/data-types/mailstream_low.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	* src/data-types/md5.h
	* src/data-types/md5global.h
	* src/data-types/mmapstring.c
	* src/driver/implementation/data-message/data_message_driver.c
	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/db/dbdriver_message.c
	* src/driver/implementation/db/dbstorage.c
	* src/driver/implementation/hotmail/hotmailstorage.c
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/imap/imapdriver_message.c
	* src/driver/implementation/imap/imapdriver_tools.c
	* src/driver/implementation/imap/imapdriver_types.h
	* src/driver/implementation/imap/imapstorage.c
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/maildir/maildirdriver_tools.c
	* src/driver/implementation/maildir/maildirdriver_types.h
	* src/driver/implementation/maildir/maildirstorage.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached_message.c
	* src/driver/implementation/mbox/mboxdriver_message.c
	* src/driver/implementation/mbox/mboxdriver_tools.c
	* src/driver/implementation/mbox/mboxdriver_types.h
	* src/driver/implementation/mbox/mboxstorage.c
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached_message.c
	* src/driver/implementation/mh/mhdriver_message.c
	* src/driver/implementation/mh/mhdriver_tools.c
	* src/driver/implementation/mh/mhdriver_types.h
	* src/driver/implementation/mh/mhstorage.c
	* src/driver/implementation/mime-message/mime_message_driver.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_cached_message.c
	* src/driver/implementation/nntp/nntpdriver_message.c
	* src/driver/implementation/nntp/nntpdriver_tools.c
	* src/driver/implementation/nntp/nntpdriver_types.h
	* src/driver/implementation/nntp/nntpstorage.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_cached_message.c
	* src/driver/implementation/pop3/pop3driver_message.c
	* src/driver/implementation/pop3/pop3driver_tools.c
	* src/driver/implementation/pop3/pop3driver_types.h
	* src/driver/implementation/pop3/pop3storage.c
	* src/driver/interface/maildriver.c
	* src/driver/interface/maildriver_errors.h
	* src/driver/interface/maildriver_tools.c
	* src/driver/interface/maildriver_types.[ch]
	* src/driver/interface/maildriver_types_helper.c
	* src/driver/interface/mailfolder.c
	* src/driver/interface/mailmessage.c
	* src/driver/interface/mailmessage_tools.[ch]
	* src/driver/interface/mailmessage_types.[ch]
	* src/driver/interface/mailstorage.c
	* src/driver/tools/generic_cache.c
	* src/driver/tools/imfcache.c
	* src/driver/tools/mailthread.c
	* src/driver/tools/mailthread_types.[ch]
	* src/engine/mailengine.c
	* src/engine/mailprivacy.c
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	* src/engine/mailprivacy_tools.c
	* src/low-level/imap/mailimap.c
	* src/low-level/imap/mailimap_parser.c
	* src/low-level/imap/mailimap_sender.c
	* src/low-level/imap/mailimap_socket.[ch]
	* src/low-level/imap/mailimap_ssl.[ch]
	* src/low-level/imap/mailimap_types.h
	* src/low-level/imf/mailimf.c
	* src/low-level/imf/mailimf.h
	* src/low-level/imf/mailimf_types.h
	* src/low-level/imf/mailimf_types_helper.[ch]
	* src/low-level/imf/mailimf_write_generic.c
	* src/low-level/maildir/maildir.c
	* src/low-level/maildir/maildir_types.h
	* src/low-level/mbox/mailmbox.c
	* src/low-level/mbox/mailmbox_parse.c
	* src/low-level/mbox/mailmbox_types.[ch]
	* src/low-level/mh/mailmh.[ch]
	* src/low-level/mime/mailmime_content.c
	* src/low-level/mime/mailmime_decode.c
	* src/low-level/mime/mailmime_types.h
	* src/low-level/mime/mailmime_types_helper.c
	* src/low-level/mime/mailmime_write_file.c
	* src/low-level/mime/mailmime_write_generic.c
	* src/low-level/mime/mailmime_write_mem.c
	* src/low-level/nntp/newsnntp.h
	* src/low-level/nntp/newsnntp_socket.[ch]
	* src/low-level/nntp/newsnntp_ssl.[ch]
	* src/low-level/nntp/newsnntp_types.h
	* src/low-level/pop3/mailpop3.c
	* src/low-level/pop3/mailpop3_helper.c
	* src/low-level/pop3/mailpop3_socket.[ch]
	* src/low-level/pop3/mailpop3_ssl.[ch]
	* src/low-level/pop3/mailpop3_types.h
	* src/low-level/smtp/mailsmtp.c
	* src/low-level/smtp/mailsmtp_helper.[ch]
	* src/low-level/smtp/mailsmtp_socket.c
	* src/low-level/smtp/mailsmtp_ssl.[ch]
	* src/low-level/smtp/mailsmtp_types.h
	* src/main/libetpan_version.c
	* tests/readmsg.c
	    cleanup of libetpan.
	    Thanks to Daniel Richard G.

2006-05-17 - libetpan-0.45cvs6 - hoa

	* src/data-types/charconv.c
	    fixed UTF-8 character maximum size.
	
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_types.h
	    message list cache.
	
	* src/driver/implementation/mh/mhdriver_tools.c
	    fixed 'From ' skipper.

2006-04-16 - libetpan-0.45cvs5 - colin

	* src/low-level/imap/annotatemore_types.c
		Fix missing mailimap_annotatemore_entry_list_new

2006-04-16 - libetpan-0.45cvs4 - colin
	
	* src/data-types/mailstream_ssl.c
	    Fix crash on closed connection with gnutls (and make sure
	    it won't happen with openssl), by returning -1 instead of
	    GNUTLS_ERROR_*: mailstream_read() error return value is -1
	    everywhere in mailstream.c
	    Fixes debian bugs: 356325, 358882, maybe 362747

2006-04-15 - libetpan-0.45cvs3 - hoa
	
	* src/low-level/imap/annotatemore_parser.c
	* src/low-level/imap/annotatemore_types.c
	* src/low-level/imap/annotatemore_types.h
	    prefixed defines

2006-04-15 - libetpan-0.45cvs2 - hoa
	
	* src/low-level/imap/annotatemore.[ch]            * NEW FILES *
	* src/low-level/imap/annotatemore_parser.[ch]     * NEW FILES *
	* src/low-level/imap/annotatemore_sender.[ch]     * NEW FILES *
	* src/low-level/imap/annotatemore_types.[ch]      * NEW FILES *
	* src/low-level/imap/mailimap_extension.[ch]      * NEW FILES *
	* src/low-level/imap/mailimap_extension_types.h   * NEW FILE *
	* src/low-level/imap/Makefile
	* src/low-level/imap/mailimap.[ch]
	* src/low-level/imap/mailimap_parser.[ch]
	* src/low-level/imap/mailimap_sender.[ch]
	* src/low-level/imap/mailimap_socket.[ch]
	* src/low-level/imap/mailimap_types.[ch]
	    implemented ANNOTATE extension.
	    more flexible interface to add IMAP extensions.
	    Thanks to Michael Leupold.

2006-04-07 - libetpan-0.45cvs1 - hoa

	* src/driver/interface/mailfolder.[ch]
	    export properly functions.
	
	* src/data-types/connect.c
	* src/low-level/imap/mailimap_socket.c
	* src/low-level/nntp/newsnntp_socket.c
	* src/low-level/pop3/mailpop3_socket.c
	* src/low-level/smtp/mailsmtp_socket.c
	    fixed autolookup of port numbers.

2006-03-22 - libetpan-0.45

	* release 0.45 - Depth Charge
	    bugfix release

2006-03-22 - libetpan-0.44cvs2 - hoa

	* src/data-types/carray.h
	* src/data-types/charconv.h
	* src/data-types/chash.h
	* src/data-types/mailstream_types.h
	* src/data-types/mmapstring.h
	* src/low-level/mime/mailmime_types.h
		fixed includes

2006-03-20 - libetpan-0.44cvs1 - hoa

	* src/data-types/carray.h
	* src/data-types/charconv.h
	* src/data-types/chash.h
	* src/data-types/mailstream_types.h
	* src/data-types/mmapstring.h
	* src/low-level/mime/mailmime_types.h
	    fixed includes

2006-03-10 - libetpan-0.44

	* release 0.44 - Lateralus
	    bugfix release
	    fixed versions

2006-03-08 - libetpan-0.43

	* release 0.43 - Lateralus
	    bugfix release

2006-03-08 - libetpan-0.42cvs5 - hoa

	* ChangeLog
	* libetpan-config.in
	    prepare for release

2006-02-15 - libetpan-0.42cvs4 - colin

	* src/data-types/mailstream_ssl.c
	* src/data-types/mailstream_ssl.h
	    Implement certificate retrieval

2006-02-15 - libetpan-0.42cvs3 - colin

	* src/data-types/mailstream_ssl.c
	* src/data-types/mailstream_ssl.h
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/low-level/smtp/mailsmtp_socket.c
	    After a bit of googling (and checking SC's sources too), it 
	    seems that
	    - use SSLv23 for SSL connections
	    - use TLSv1 for STARTTLS connections
	    is the way to go.

	    This patch implements a new mailstream_low_tls_open() to 
	    complement mailstream_low_ssl_open(), which allows caller 
	    to use what it needs.
	    Tested with a few differents servers:
	    - STARTTLS works ok, SSL works ok with an openssl-libetpan
	    - STARTTLS works ok, SSL works ok with a gnutls-libetpan
	    - one server, the one mentioned in bug 911, doesn't get 
	      TLSv1 at all, and insists on SSLv23 even with 
	      STARTTLS, which I think is a server bug

	    Finally, Gnutls must do stuff differently (more automagically) 
	    than
	    openssl because there's no need to specify the protocol to use, 
	    it just
	    works with SSL and STARTTLS.

	    Updated drivers too.

2006-02-14 - libetpan-0.42cvs2 - colin

	* src/data-types/mailstream_ssl.c
	    Use SSLv23 instead of TLSv1, seems to be more 
	    universal

2006-02-09 - libetpan-0.42cvs1 - colin

	* src/data-types/mailstream_ssl.c
	    Fix return value when we get SSL_ERROR_ZERO_RETURN

2006-01-09 - libetpan-0.42

	* release 0.41 - Figure Number Five
	    bugfix release

2006-01-04 - libetpan-0.41cvs10 - hoa

	* autogen.sh
	* configure.in
	* src/Makefile.in
	    fixed build.
	
	* src/low-level/smtp/mailsmtp.c
	    fixed SMTP SASL login.
	
	* src/main/libetpan.h
	    added public API.

2005-12-22 - libetpan-0.41cvs9 - hoa

	* src/engine/mailprivacy_tools.[ch]
	    fixed visibility of functions.

2005-12-20 - libetpan-0.41cvs8 - hoa

	* src/low-level/maildir/maildir.c
	    fixed maildir expunge.

	* src/low-level/smtp/mailsmtp.[ch]
	    implemented SMTP RSET (reset).

2005-12-18 - libetpan-0.41cvs7 - hoa

	* src/low-level/smtp/mailsmtp.[ch]
	    implemented SMTP NOOP.

2005-12-16 - libetpan-0.41cvs6 - hoa

	* Makefile.in
	    added empty target 'test'
	
	* src/data-types/mailsem.c
	* src/engine/mailengine.c
	    fixed build when disabling thread safety.

2005-12-16 - libetpan-0.41cvs5 - hoa

	* src/engine/mailprivacy_tools.c
	    fixed quoting of filename in shell calls.

2005-12-07 - libetpan-0.41cvs4 - hoa

	* src/data-types/mailstream_ssl.c
	    fixed build when SSL is not available.

2005-12-07 - libetpan-0.41cvs3 - hoa

	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	    fixed quoting of filename in shell calls.

2005-12-04 - libetpan-0.41cvs2 - hoa

	* configure.in
	    fixed libtool version

2005-12-02 - libetpan-0.41cvs1 - hoa

	* src/engine/mailengine.c
	    fixed crash.

2005-12-02 - libetpan-0.41

	* release 0.41 - Transfixion
	    passphrase is implemented for S/MIME and PGP.
	    avoid symbols conflict between GnuTLS and OpenSSL.

2005-11-30 - libetpan-0.40cvs6 - hoa

	* src/engine/mailprivacy.c
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	* src/engine/mailprivacy_tools.[ch]
	   fixed signing.
	
	* tests/smime.c
	    display needed passphrase.

2005-11-21 - libetpan-0.40cvs5 - hoa

	* configure.in
	    OpenSSL has priority in detection.
	
	* src/engine/mailprivacy.[ch]
	* src/engine/mailprivacy_gnupg.[ch]
	* src/engine/mailprivacy_smime.[ch]
	* src/engine/mailprivacy_tools.[ch]
	* src/engine/mailprivacy_types.h
	    implemented support of passphrase.

	* tests/Makefile
	* tests/frm-common.c
	* tests/frm-simple.c
	* tests/frm-tree.c
	    fixed compilation of tests.

	* tests/pgp.c                          * NEW FILE *
	* tests/smime.c                        * NEW FILE *
	* tests/decrypt.c                      * NEW FILE *
	    some tests for S/MIME, PGP.

2005-10-09 - libetpan-0.40cvs4 - colin

	* src/data-types/mailstream_ssl.c
	    Try to finish handshaking when 
	    possible with gnutls.

2005-10-09 - libetpan-0.40cvs3 - colin

	* src/data-types/mailstream_ssl.c
	    fixed deadlock on the mutex

2005-10-09 - libetpan-0.40cvs2 - colin

	* src/data-types/mailstream_ssl.c
	    fixed compilation with GnuTLS

2005-10-09 - libetpan-0.40cvs1 - hoa

	* configure.in
	* src/data-types/mailstream_ssl.c
	* src/data-types/mailstream_ssl.h
	    avoid symbols conflicts between OpenSSL and GnuTLS.
	    Thanks to Colin Leroy.

2005-10-07 - libetpan-0.40 - hoa

	* release 0.40 - Kashmir
	    SSL initialization is optional.

2005-10-06 - libetpan-0.39cvs2 - hoa

	* src/Makefile.in
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	    fixed compilation on Solaris.

2005-10-02 - libetpan-0.39cvs1 - hoa

	* src/data-types/mailstream_low.c
	* src/data-types/mailstream_ssl.[ch]
	* src/low-level/imap/mailimap_ssl.c
	* src/low-level/nntp/newsnntp_ssl.c
	* src/low-level/pop3/mailpop3_ssl.c
	* src/low-level/smtp/mailsmtp_ssl.c
	* tests/frm.c
	    SSL initialization is optional
		fixed SSL port
		fixed warning in tests

2005-09-16 - libetpan-0.39 - hoa

	* release 0.39 - Deliverance
	    compatibility with GnuTLS
		SASL for higher level

2005-09-12 - libetpan-0.38cvs5 - colin

	* src/data-types/mailstream_ssl.c
	    fixed compatibility with GnuTLS.

2005-08-17 - libetpan-0.38cvs4 - hoa

	* src/engine/mailprivacy_smime.c
	    fixed crash when a S/MIME 2 signed message does not verify.

2005-08-14 - libetpan-0.38cvs3 - hoa

	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_types.h
	* src/driver/implementation/imap/imapstorage.c
	* src/driver/implementation/imap/imapstorage.h
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_types.h
	* src/driver/implementation/pop3/pop3storage.c
	* src/driver/implementation/pop3/pop3storage.h
	* src/driver/interface/maildriver.c
	* src/driver/interface/maildriver.h
	* src/driver/interface/maildriver_types.h
	* src/driver/interface/mailstorage_tools.c
	* src/driver/interface/mailstorage_tools.h
	    implemented SASL at higher level API.

	* src/engine/mailprivacy_smime.c
	    support for Outlook signed messages.

2005-08-13 - libetpan-0.38cvs2 - hoa

	* src/data-types/mailstream.c
	* src/data-types/mailstream_socket.c
	* src/data-types/mailstream_ssl.c
	* src/driver/implementation/data-message/data_message_driver.c
	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/db/dbdriver_message.c
	* src/driver/implementation/db/dbstorage.c
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_cached_message.c
	* src/driver/implementation/imap/imapdriver_message.c
	* src/driver/implementation/imap/imapstorage.c
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/maildir/maildirstorage.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached_message.c
	* src/driver/implementation/mbox/mboxdriver_message.c
	* src/driver/implementation/mbox/mboxstorage.c
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached_message.c
	* src/driver/implementation/mh/mhdriver_message.c
	* src/driver/implementation/mh/mhstorage.c
	* src/driver/implementation/mime-message/mime_message_driver.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver_cached_message.c
	* src/driver/implementation/nntp/nntpdriver_message.c
	* src/driver/implementation/nntp/nntpstorage.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_cached_message.c
	* src/driver/implementation/pop3/pop3driver_message.c
	* src/driver/implementation/pop3/pop3storage.c
	* src/driver/interface/mailstorage_tools.c
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	    fixed build on Solaris.
	    Thanks to Alex S. Moore.

2005-08-13 - libetpan-0.38cvs1 - hoa

	* src/low-level/mbox/mailmbox.c
	    switched from LF to CRLF.
	    Thanks to Alfons Hoogervorst.

2005-07-20 - libetpan-0.38 - hoa

    * release 0.38 - Deadwing

	* fixed SSL
	* IMAP improvements
	* SASL

2005-07-18 - libetpan-0.37cvs6 - hoa

	* src/low-level/imap/mailimap_sender.c
	    atom is not quoted for now when a dash is to be sent
	   (workaround a problem in old Courier and old DoveCot IMAP servers)

2005-07-16 - libetpan-0.37cvs5 - hoa

	* configure.in
	* libetpan-config.in
	* src/data-types/Makefile
	* src/low-level/imap/mailimap.[ch]
	* src/low-level/imap/mailimap_sender.[ch]
	* src/low-level/imap/mailimap_types.h
	* src/low-level/pop3/mailpop3.[ch]
	* src/low-level/pop3/mailpop3_types.h
	* src/low-level/smtp/mailsmtp.[ch]
	* src/low-level/smtp/mailsmtp_types.h
	* src/data-types/mailsasl.[ch]            ** NEW FILES **
	    implemented SASL.

	* src/low-level/imap/mailimap_parser.c
	    fixed IMAP parser.

2005-07-15 - libetpan-0.37cvs4 - hoa

	* configure.in
	* src/data-types/mailstream_low.c
	    fixed version number. fixed custom logger.

2005-07-15 - libetpan-0.37cvs3 - hoa

	* src/data-types/mailstream.h
	* src/data-types/mailstream_low.c
	    changed API for custom logger (added direction of stream).

2005-07-15 - libetpan-0.37cvs2 - hoa

	* src/data-types/mailstream.h
	* src/data-types/mailstream_low.c
	    added a custom logger for applications.

2005-07-15 - libetpan-0.37cvs1 - hoa

	* src/data-types/mailstream_ssl.c
	    fixed SSL write, thanks to Stephan Holl, Colin Leroy

2005-07-03 - libetpan-0.37 - hoa

    * release 0.37 - Deadwing

	* windows port
	* fixed IMAP implementation (for sylpheed)

2005-06-28 - libetpan-0.36cvs18 - hoa

	* src/low-level/imap/mailimap_sender.c
	    fixed storage of flags.

2005-06-19 - libetpan-0.36cvs17 - hoa

	* src/driver/implementation/mbox/mboxdriver_cached.c
	    fixed double fclose(). Thanks to Nyoxi.

2005-06-13 - libetpan-0.36cvs16 - hoa

	* src/engine/mailengine.c
	    fixed thread safety for reference count.

	* src/low-level/mh/mailmh.c
	    fixed MH (addition of messages).

2005-06-01 - libetpan-0.36cvs15 - hoa

	* libetpan-config.h.in
	* src/data-types/maillock.c
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/mh/mhdriver_tools.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/interface/maildriver_tools.c
	* src/driver/tools/generic_cache.c
	* src/low-level/imap/mailimap_types.h
	* src/low-level/imf/mailimf_types.h
	* src/low-level/imf/mailimf_types_helper.c
	* src/low-level/maildir/maildir_types.h
	* src/low-level/mh/mailmh.h
	* src/low-level/mime/mailmime_types_helper.c
	* src/low-level/mime/mailmime_write_generic.c
	* src/low-level/nntp/newsnntp_types.h
	* src/low-level/pop3/mailpop3_types.h
	* src/low-level/smtp/mailsmtp_socket.h
	* src/low-level/smtp/mailsmtp_types.h
	* src/windows/win_etpan.h
	* src/windows/wsocket.cpp
	    fixed linux build.

2005-06-01 - libetpan-0.36cvs14 - hoa

	* src/data-types/mail_cache_db.c
	* src/driver/implementation/db/dbdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_tools.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/tools/generic_cache.c
	* src/driver/tools/imfcache.c
	* src/engine/mailprivacy.c
	* src/engine/mailprivacy_smime.c
	* src/low-level/imap/mailimap_parser.c
	* src/low-level/imap/mailimap_sender.c
	* src/low-level/imf/mailimf.c
	* src/low-level/mbox/mailmbox.c
	* src/low-level/mime/mailmime.c
	* src/low-level/mime/mailmime_decode.c
	* src/low-level/mime/mailmime_disposition.c
	* src/low-level/nntp/newsnntp.c
	* src/low-level/pop3/mailpop3.c
	* src/low-level/smtp/mailsmtp.c
	    fixed gcc 4.0 warnings.

2005-06-01 - libetpan-0.36cvs13 - hoa

	* src/data-types/maillock.c
	* src/data-types/mailstream_socket.c
	    fixed some warnings.

2005-06-01 - libetpan-0.36cvs12 - smarinier

	* most files
	    Windows port

2005-05-27 - libetpan-0.36cvs11 - hoa

	* src/data-types/chash.c
	    don't use tables of size 0.
	
	* src/data-types/mailsem.c
	    includes missing header.
	
	* src/engine/mailprivacy_smime.c
	    insert part even if decoding failed.

2005-05-22 - libetpan-0.36cvs10 - g_roualland

	* configure.in
	* Makefile.in
	    change the way libetpan-config.h is generated to cope with 
	    cross compilers and external build directories. 

2005-05-19 - libetpan-0.36cvs9 - hoa

	* src/driver/interface/mailfolder.c
	    reconnect on POP3 fetch of message list.

	* src/low-level/pop3/mailpop3.c
	    fixed crash on mailpop3_quit() in case
	    of bad state.

2005-04-25 - libetpan-0.36cvs8 - hoa

	* src/data-types/mail_cache_db.c
	    fixed test of error codes.

2005-04-18 - libetpan-0.36cvs7 - hoa

	* src/data-types/carray.c
	    don't allow zero-sized array.
	    That will avoid infinite loops.

2005-04-12 - libetpan-0.36cvs6 - hoa

	* src/data-types/mailsem.c
	    use unique implementation of semaphore.

2005-04-08 - libetpan-0.36cvs5 - hoa

	* src/data-types/mail_cache_db.c
	    fixed test of error codes.

2005-04-07 - libetpan-0.36cvs5 - hoa

	* autogen.sh
	    support for Mac OS X
	
	* src/data-types/charconv.c
	    fixed error code.
	
	* src/data-types/mail_cache_db.c
	* src/data-types/mail_cache_db.h
	    added function to retrieve the list of keys.
	
	* src/data-types/mailsem.c
	    fixed semaphore.
	
	* src/driver/tools/mailthread.c
	    made mailthread thread safe.

2005-03-12 - libetpan-0.36cvs4 - hoa

	* configure.in
	* src/Makefile.in
	* src/data-types/mailstream_ssl.c
	    support for GNUTLS.
	    Thanks from Rajko Albrecht.
	
	* src/data-types/mailsem.c
	    disable semaphore when reentrant support is disabled.
	    Thanks from Rajko Albrecht.
	
	* src/driver/implementation/imap/imapdriver_cached.c
	    fixed false error in cached IMAP driver.

2005-03-04 - libetpan-0.36cvs3 - hoa

	* src/data-types/mail_cache_db.c
	    reorder unlock() and close()
	
	* src/data-types/mailsem.c
	    implements properly the semaphore.

2005-02-28 - libetpan-0.36cvs2 - hoa

	* Rules.in
	    fixed build when the exported header list is empty.
	    Thanks to Alfons Hoogervorst.
	
	* doc/README.sgml
	    removed version numbers.

2005-02-28 - libetpan-0.36cvs1 - g_roualland

	* src/data-types/mail_cache_db.c
	    fix DB cursor call when running on db2 < 2.6
	    Thanks to Alfons Hoogervorst.

2005-02-22 - libetpan-0.36 - hoa

    * release 0.36 - Silver Drop

        * memory leak
        * fixed maildir support

2005-02-17 - libetpan-0.35cvs4 - hoa

	* src/engine/mailprivacy.c
	    does not check for owner of the folder:
	    this is the responsibility of the application.

2005-01-31 - libetpan-0.35cvs3 - hoa

	* src/data-types/mmapstring.c
	* src/engine/mailengine.c
	    reverted to initial in code in non-debug mode.
	    fixed thread safety.

2005-01-29 - libetpan-0.35cvs2 - hoa

	* src/driver/implementation/imap/imapdriver_cached.c
	* src/low-level/mime/mailmime_types.c
	    fixed some memory leaks.

2005-01-28 - libetpan-0.35cvs1 - hoa

	* src/data-types/mailsem.c
	    support for Cygwin.
	
	* src/driver/implementation/db/dbdriver.c
	    removed a log.
	
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/engine/mailengine.c
	    fixed some memory leaks.
	
	* src/engine/mailprivacy_tools.c
	    internal version of basename() can be used.
	
	* src/low-level/maildir/maildir.c
	    fixed update of Maildir mailbox.
	
	* src/low-level/pop3/mailpop3.[ch]
	    fixed data types to non-fixed size integers.

2004-12-28 - libetpan-0.35 - hoa

    * release 0.35 - Dimebag Darrell

	* minor bugfixes.

2004-12-27 - libetpan-0.34cvs8 - hoa

	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_smime.c
	    fixed syntax error.

	* src/low-level/maildir/maildir.c
	    avoid stat() on maildir files.

	* src/main/libetpan.h
	    enabled hotmailstorage.

2004-12-13 - libetpan-0.34cvs7 - hoa

	* src/driver/implementation/mime-message/mime_message_driver.[ch]
	    MIME message driver will no more need temporary files.

2004-12-13 - libetpan-0.34cvs6 - hoa

	* src/low-level/mime/mailmime_content.c
	    fixed MIME parser. MIME parts does not include
	    the boundary CR LF.

2004-12-12 - libetpan-0.34cvs5 - hoa

	* src/data-types/mail_cache_db.c
	* src/driver/implementation/db/dbdriver.c
	    fixed data types and uninitialized variable.

	* src/driver/implementation/maildir/maildirdriver_tools.c
	* src/driver/implementation/mh/mhdriver_tools.c
	* src/driver/interface/maildriver_errors.h
	* src/low-level/imap/mailimap_parser.c
	* src/low-level/maildir/maildir.c
	* src/low-level/maildir/maildir_types.h
	* src/low-level/mh/mailmh.c
	    now use rename() when link() is not available.
	    Thanks to Lutz Rogowski.
	
	* src/low-level/mime/mailmime_decode.c
	    fixed a memory leak. Thanks to Lutz Rogowski.

2004-11-14 - libetpan-0.34cvs4 - hoa

	* src/low-level/mime/mailmime_content.c
	    fixed MIME parser.
	    Problem appeared when there when a boundary identifier
	    was prefix of an other boundary identifier (1065539).

2004-11-14 - libetpan-0.34cvs3 - hoa

	* src/low-level/maildir/maildir.c
	    maildir_update() now creates an empty file named maildirfolder.

2004-11-14 - libetpan-0.34cvs2 - hoa

	* src/data-types/maillock.c
	    fixed locks when using liblockfile.

2004-11-13 - libetpan-0.34cvs1 - hoa

	* src/data-types/maillock.c
	    fixed locks when using liblockfile.
	
	* src/data-types/mmapstring.c
	    additional checks.
	   
	* src/driver/interface/maildriver_errors.h
	    clean up of code.
	
	* src/low-level/imf/Makefile
	* src/low-level/imf/mailimf.h
	* src/low-level/imf/mailimf_write_file.[ch]   ** NEW FILES **
	* src/low-level/imf/mailimf_write_mem.[ch]    ** NEW FILES **
	* src/low-level/mime/Makefile
	* src/low-level/mime/mailmime.h
	* src/low-level/mime/mailmime_write_file.[ch] ** NEW FILES **
	* src/low-level/mime/mailmime_write_mem.[ch]  ** NEW FILES **
	    messages can be rendered into a MMAPString.

2004-11-04 - libetpan-0.34 - hoa

    * release 0.34 - edge

	    * general
			- support for debian systems mbox
			- ability to disable thread-safe support

2004-11-04 - libetpan-0.33cvs7 - hoa

	* src/data-types/mailstream.c
	* src/data-types/mailstream_helper.[ch]
	* src/data-types/mailstream_low.c
	    debug logs are just before low-level.
	    helper functions to send multi-lines data.
	
	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	    limit requests to imap server (compatibility with iPlanet).
	
	* src/low-level/imap/mailimap.c
	* src/low-level/imap/mailimap_sender.c
	    fixed send of literal, add proper CR LF 
	    (compatibility with Cyrus).
	
	* src/low-level/mh/mailmh.h
	    removed reference to deprecated cinthash
	
	* src/low-level/nntp/newsnntp.h
	    removed inexistant function in header.

2004-10-17 - libetpan-0.33cvs6 - g_roualland

	* configure.in
	    Add a "--disable-threads" option to compile without pthread.
	    In that case the library is named as "libetpan-no-mt".
	    Added a LIBETPAN_REENTRANT define which is true if multithreading
	    is available.
	    Added pthread avaibility detection.

	* libetpan-config.in
	* src/Makefile.in
	    update to include thread options and the correct name for the
	    library. fix make clean to remove libs
	
	* src/main/libetpan-version.h.in
	    define LIBETPAN_REENTRANT if the library was compiled as
	    reentrant.

	* src/data-types/mailstream_ssl.c
	* src/data-types/mmapstring.c
	* src/engine/mailengine.c
	    do not include pthread calls if not reentrant.

2004-10-17 - libetpan-0.33cvs5 - hoa

	* Makefile.in
	* Rules.in
	    fixed precopy of headers.
	
	* src/low-level/mbox/mailmbox.c
	    fixed write of mailbox files on debian systems.
	
	* src/low-level/mime/mailmime_write.c
	    fixed a bug. Thanks to Melvin.

2004-09-29 - libetpan-0.33cvs4 - hoa

	* configure.in
	* src/data-types/maillock.c
	* src/low-level/mbox/mailmbox.c
	    support for mailboxes on debian systems.

2004-09-03 - libetpan-0.33cvs3 - hoa

	* src/engine/mailengine.c
	    can remove storage or folder twice.

2004-09-02 - libetpan-0.33cvs2 - hoa

	* src/driver/interface/maildriver_errors.h
	* src/driver/tools/mailthread.[ch]
	* src/driver/tools/mailthread_types.h
	    can build a tree of messages without message threading
	
	* src/data-types/mailsem.[ch]
	    added semaphore


2004-08-28 - libetpan-0.33cvs1 - hoa

	* src/driver/implementation/mh/mhdriver_tools.c
            fixed the workaround MH mailboxes with messages
            containing 'From ' header.
		

2004-08-24 - libetpan-0.33 - hoa

    * release 0.33 - entropia

	    * general
			- bugfixes in IMAP module and mailstream
			- fixed low-level data structures
			- better support for ARM and PPC architecture
			- support for cross-compilation
			- fixed Berkeley DB support
			- changed folder structure of libetpan package
			- can now add a message to a mailbox with flags
			- support for hotmail mailboxes (with help of hotwayd)
			- added Berkeley DB mail storage as experimental
			- added support for PGP and S/MIME
			- better folder API


2004-08-22 - libetpan-0.32cvs18 - hoa

	* Makefile.in
	* Rules.in
	* src/main/libetpan.h
	    Fixed header inclusion.
	    Fixed installation of headers.

2004-08-22 - libetpan-0.32cvs17 - hoa

	* Makefile.in
	* autogen.sh
	* configure.in
	* src/Makefile.in
	* src/main/libetpan.h
	    Better detection of iconv.
	    Some fixes in build process.
	    Documentation is generated at prepackaging.
	    Engine added to build process.
	
	* doc/API.sgml
	* doc/Makefile
	* doc/README.sgml
	    Updated documentation
	
	* src/data-types/charconv.c
	    Better detection of iconv.
	    
	* src/data-types/mail_cache_db.c
	    Fixed db wrapper.
	    
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver_cached_message.c
	* src/driver/implementation/mbox/mboxdriver_message.c
	* src/driver/implementation/mbox/mboxdriver_tools.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/mh/mhdriver_cached_message.c
	* src/driver/implementation/mh/mhdriver_message.c
	* src/driver/implementation/mh/mhdriver_tools.c
	    Fixed format of UID, in several drivers.
	    
	* src/driver/interface/mailfolder.c
	* src/driver/interface/mailfolder.h
	* src/driver/interface/mailstorage.c
	* src/driver/interface/mailstorage.h
	    we can now append messages with their flags.
	    
	* src/engine/Makefile
	* src/engine/mailengine.c
	* src/engine/mailengine.h
	* src/engine/mailprivacy.h
	* src/engine/mailprivacy_gnupg.c
	* src/engine/mailprivacy_gnupg.h
	* src/engine/mailprivacy_smime.c
	* src/engine/mailprivacy_smime.h
	* src/engine/mailprivacy_tools.c
	* src/engine/mailprivacy_tools.h
	* src/engine/mailprivacy_types.h
	* src/low-level/imap/mailimap_keywords.c
	* src/low-level/mbox/mailmbox.c
	* src/low-level/mime/mailmime_write.c
	    remove hash global to storage to find folder of messages
	
2004-07-28 - libetpan-0.32cvs16 - g_roualland

	* acconfig.h					* REMOVED FILE *
	* configure.in
	    Convert old, deprecated autoconf defines to 2.5 like.

	* Makefile.in
	    Do not look for acconfig.h, remove autoconf cache on clean.

	* src/Makefile.in
	    Make sure "make clean" works even when the library was not built.

	* Makefile.in
	* Rules.in
	* src/Makefile.in
	    Support for DESTDIR to install in another root.
	    Patch from Rajko Albrecht <ral@alwins-world.de>

	* src/driver/implementation/imap/imapdriver_cached_message.c
	    Fix a GCC 3.4 compiling issue with labels.
	    Patch from Rajko Albrecht <ral@alwins-world.de>

2004-05-23 - libetpan-0.32cvs15 - hoa

	* Makefile.in
	* Rules.in
	    fixed building and installing.
	    
	* configure.in
	    improved support for Berkeley DB
	    (thanks to Nikita V. Youshchenko).
	
	* doc/README.sgml
	    updated documentation.
	
	* src/data-types/mail_cache_db.[ch]
	    added function to get size of a given item.
	
	* src/data-types/mailstream_helper.c
	    fixed a crash when sending of data.
	
	* src/driver/implementation/Makefile
	* src/driver/implementation/imap/imapstorage.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mbox/mboxstorage.c
	* src/driver/implementation/mh/mhstorage.c
	* src/driver/implementation/nntp/nntpstorage.c
	    code cleanup.	
	    
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/implementation/pop3/pop3driver_message.c
	* src/driver/implementation/pop3/pop3storage.c
	   implemented get_message_by_uid()
	   (Thanks to Toni Willberg).
	   
	* src/driver/implementation/maildir/maildirdriver_cached_message.c
	* src/driver/implementation/maildir/maildirdriver_message.c
	* src/driver/implementation/maildir/maildirstorage.[ch]
	    implemented get_flags().

	* src/main/libetpan.h
	* src/driver/implementation/db/Makefile               ** NEW FILE **
	* src/driver/implementation/db/dbdriver.[ch]          ** NEW FILES **
	* src/driver/implementation/db/dbdriver_message.[ch]  ** NEW FILES **
	* src/driver/implementation/db/dbdriver_types.h       ** NEW FILE **
	* src/driver/implementation/db/dbstorage.[ch]         ** NEW FILES **
	    added mail DB driver (using a Berkeley DB storage).
	
	* hotmail/Makefile                                    ** NEW FILE **
	* hotmail/hotmailstorage.[ch]                         ** NEW FILES **
	    added support for hotmail (using hotwayd and POP3 driver)
	
	* tests/Makefile
	* tests/readmsg-uid.c                                 ** NEW FILE **
	    added example for get_message_by_uid()

2004-05-04 - libetpan-0.32cvs14 - hoa

	* src/driver/implementation/imap/imapdriver.c
	* src/driver/implementation/imap/imapdriver_cached.c
	* src/driver/implementation/imap/imapdriver_tools.[ch]
	* src/driver/implementation/maildir/maildirdriver.c
	* src/driver/implementation/maildir/maildirdriver_cached.c
	* src/driver/implementation/mbox/mboxdriver.c
	* src/driver/implementation/mbox/mboxdriver_cached.c
	* src/driver/implementation/mh/mhdriver.c
	* src/driver/implementation/mh/mhdriver_cached.c
	* src/driver/implementation/nntp/nntpdriver.c
	* src/driver/implementation/nntp/nntpdriver_cached.c
	* src/driver/implementation/pop3/pop3driver.c
	* src/driver/implementation/pop3/pop3driver_cached.c
	* src/driver/interface/maildriver.[ch]
	* src/driver/interface/maildriver_types.h
	    mailsession_append_message_flags() adds a message
	    in a mailbox with its flags. It is implemented in
	    IMAP, mbox, maildir and MH drivers.
	
	* src/low-level/maildir/maildir.[ch]
	* src/low-level/mbox/mailmbox.[ch]
	* src/low-level/mbox/mailmbox_types.[ch]
	* src/low-level/mh/mailmh.[ch]
	    get identifier of the message when we add a message
	    in a mailbox.

2004-05-02 - libetpan-0.32cvs13 - hoa

	* Makefile.in
	* Rules.in
	* configure.in
	* src/Makefile.in                                    * NEW FILES *
	* src/data-types/Makefile
	* src/data-types/mmapstring.c
	* src/driver/Makefile
	* src/driver/implementation/Makefile                 * NEW FILES *
	* src/driver/implementation/data-message/Makefile    * NEW FILES *
	* src/driver/implementation/imap/Makefile            * NEW FILES *
	* src/driver/implementation/maildir/Makefile         * NEW FILES *
	* src/driver/implementation/mbox/Makefile            * NEW FILES *
	* src/driver/implementation/mbox/mboxdriver_message.c
	* src/driver/implementation/mh/Makefile              * NEW FILES *
	* src/driver/implementation/mime-message/Makefile    * NEW FILES *
	* src/driver/implementation/nntp/Makefile            * NEW FILES *
	* src/driver/implementation/pop3/Makefile            * NEW FILES *
	* src/driver/interface/Makefile                      * NEW FILES *
	* src/driver/tools/Makefile                          * NEW FILES *
	* src/engine/Makefile                                * NEW FILES *
	* src/engine/mailengine.[ch]                         * NEW FILES *
	* src/engine/mailprivacy.[ch]                        * NEW FILES *
	* src/engine/mailprivacy_gnupg.[ch]                  * NEW FILES *
	* src/engine/mailprivacy_smime.[ch]                  * NEW FILES *
	* src/engine/mailprivacy_tools.[ch]                  * NEW FILES *
	* src/engine/mailprivacy_types.h                     * NEW FILES *
	* src/low-level/Makefile                             * NEW FILES *
	* src/low-level/imap/Makefile
	* src/low-level/imf/Makefile
	* src/low-level/imf/mailimf.c
	* src/low-level/maildir/Makefile
	* src/low-level/mbox/Makefile
	* src/low-level/mh/Makefile
	* src/low-level/mime/Makefile
	* src/low-level/nntp/Makefile
	* src/low-level/pop3/Makefile
	* src/low-level/smtp/Makefile
	* src/main/Makefile                                  * NEW FILES *
	    changed folders structure

2004-03-23 - libetpan-0.32cvs12 - hoa

	* tools/mmapstring.c
	    fixed a bug when initializing a string of size 0.
	    That lead to a bug when fetching a part of size 0.

2004-03-13 - libetpan-0.32cvs11 - hoa

	* tools/mailstream_socket.c
	    revert of previous commit (this is not POSIX).

2004-03-13 - libetpan-0.32cvs10 - hoa

	* tools/mailstream_socket.c
	    socket failures send no more signals.
	
2004-03-13 - libetpan-0.32cvs9 - hoa

	* mime/mailmime_decode.c
	    better checks in mailmime_encoded_phrase_decode()
	    Thanks to Frederic Devernay

2004-03-13 - libetpan-0.32cvs8 - g_roualland

	* smtp/mailsmtp_helper.c
	    Fix esmtp status corruption in mailesmtp_init.
	    Patch from Rajko Albrecht <ral@alwins-world.de>)

	* smtp/mailsmtp.c
	    Make sure to reset esmtp status on HELO.

2004-03-03 - libetpan-0.32cvs7 - hoa

	* configure.in
	* imap/mailimap.c
	* tools/charconv.c
	    possibility to disable iconv. Fixed some leaks.
	    Thanks to Frederic Devernay.
	
	* tools/mailstream_socket.c
	* mime/mailmime_decode.c
	    some support for broken architecture such as ARM.
	    Thanks to Rajko Albrecht.

2004-02-28 - libetpan-0.32cvs6 - hoa

	* tools/mail_cache_db.c
	    read/write cache database when support for Berkeley DB 1.x
	    is enabled (this fix a bug where the database was readonly).

2004-01-23 - libetpan-0.32cvs5 - melvin

	* libetpan-config.h.in
	    Better support for ARM: include both limits.h and sys/params.h
	    if both are available. ARM requires this.
	    Patch from Rajko Albrecht <ral@alwins-world.de>.

2004-01-20 - libetpan-0.32cvs4 - melvin

	* imap/mailimap_types.h
	* imap/mailimap_types.c
	* imap/mailimap_print.c
	    Fixed concurrent usage of two members of the same union
	    that resulted in double memory free after parsing some IMAP 
	    responses (as in ...[APPENDUID VID UID])
	* generic/mailmessage_types.c
	* generic/mailstorage_tools.c
	* tools/maillock.c
	    Added <string.h> header
	* tools/connect.c
	* tools/mail_cache_db.c
	    Added <unistd.h> header

2004-01-12 - libetpan-0.32cvs3 - hoa

	* configure.in
	    detection of Berkeley DB can be disabled.
	
	* doc/API.sgml
	* doc/Makefile
	* doc/README.sgml
	    updated documentation
	
	* generic/Makefile
	* generic/mailstorage_tools.c
	* generic/mailfolder.[ch]                * NEW FILES *
	    destroy the unused file descriptors.
	    folder API.
	
	* mime/mailmime_content.c
	    fixed a problem in MIME parser on architectures where
	    char is unsigned.
	
	* tools/connect.c
	    destroy the unused file descriptors.

2004-01-07 - libetpan-0.32cvs2 - g_roualland

	* smtp/mailsmtp.c
	* smtp/mailsmtp.h
	* smtp/mailsmtp_types.h
	    added full parsing of ehlo answer to detect esmtp extensions
	    added mailsmtp_starttls() command.
	
	* smtp/mailsmtp_socket.c
	* smtp/mailsmtp_socket.h
	    added mailsmtp_socket_starttls to switch a connected
	    ESMTP session under a TLS layer.

	* tests/smtpsend.c
	    updated to make use of starttls and esmtp extensions.

2003-12-23 - libetpan-0.32cvs1 - hoa

	* imap/mailimap_types.c
	    fixed a crash related to capabilities.

2003-12-16 - libetpan-0.32 - hoa

	* release 0.32 - Black Utopia

	* general
	    - added documentation for IMF / tools
	    - bugfixes in IMAP module due to structures change.
	    - Application that use libEtPan! now have to use
	        '#include <libetpan/libetpan.h>'

	* generic    
	    - get_message() is implemented in Maildir cached driver.

2003-12-15 - libetpan-0.31cvs7 - hoa

	* Makefile.in
	* Rules.in
	    fixed dependencies in Makefiles.

2003-12-15 - libetpan-0.31cvs6 - hoa

	* Makefile.in
	    "make clean" does no more delete install include directory.

2003-12-15 - libetpan-0.31cvs5 - hoa

	* Makefile.in
	    some cleanup.
	
	* libetpan-config.h.in            * NEW FILE *
	    added missing file.
	
	* generic/maildirdriver.c
	    added get_message_by_uid()
	
	* generic/maildirdriver_cached.c
	    added get_message_by_uid() and get_message()
	    index for the message is persistant in cached driver.
	
	* libetpan-config.in
	    don't add -I/usr/include if /usr is the prefix.

2003-12-15 - libetpan-0.31cvs4 - hoa

	* Makefile.in
	    some cleanup.
	
	* libetpan-config.h.in            * NEW FILE *
	    added missing file.
	
	* generic/maildirdriver.c
	    added get_message_by_uid()
	
	* generic/maildirdriver_cached.c
	    added get_message_by_uid() and get_message()
	    index for the message is persistant in cached driver.
	
	* libetpan-config.in
	    don't add -I/usr/include if /usr is the prefix.

2003-12-15 - libetpan-0.31cvs4 - hoa

	* Makefile.in
	* Rules.in
	* configure.in
	* libetpan-config.in
	* generic/Makefile
	* generic/data_message_driver.[ch]
	* generic/generic_cache.c
	* generic/generic_cache_types.h
	* generic/imapdriver.[ch]
	* generic/imapdriver_cached.[ch]
	* generic/imapdriver_cached_message.h
	* generic/imapdriver_message.h
	* generic/imapdriver_tools.c
	* generic/imapdriver_types.h
	* generic/imapstorage.[ch]
	* generic/libetpan.h
	* generic/maildirdriver.h
	* generic/maildirdriver_cached.[ch]
	* generic/maildirdriver_cached_message.h
	* generic/maildirdriver_message.h
	* generic/maildirdriver_types.h
	* generic/maildirstorage.[ch]
	* generic/maildriver.h
	* generic/maildriver_tools.c
	* generic/maildriver_types.h
	* generic/maildriver_types_helper.[ch]
	* generic/mailmessage.[ch]
	* generic/mailmessage_types.[ch]
	* generic/mailstorage.h
	* generic/mailstorage_tools.[ch]
	* generic/mailthread.[ch]
	* generic/mailthread_types.[ch]
	* generic/mboxdriver.[ch]
	* generic/mboxdriver_cached.[ch]
	* generic/mboxdriver_cached_message.h
	* generic/mboxdriver_message.h
	* generic/mboxdriver_types.h
	* generic/mboxstorage.[ch]
	* generic/mhdriver.h
	* generic/mhdriver_cached.[ch]
	* generic/mhdriver_cached_message.h
	* generic/mhdriver_message.h
	* generic/mhdriver_types.h
	* generic/mhstorage.[ch]
	* generic/mime_message_driver.[ch]
	* generic/nntpdriver.[ch]
	* generic/nntpdriver_cached.[ch]
	* generic/nntpdriver_cached_message.h
	* generic/nntpdriver_message.h
	* generic/nntpdriver_tools.c
	* generic/nntpdriver_types.h
	* generic/nntpstorage.[ch]
	* generic/pop3driver.h
	* generic/pop3driver_cached.[ch]
	* generic/pop3driver_cached_message.h
	* generic/pop3driver_message.h
	* generic/pop3driver_types.h
	* generic/pop3storage.[ch]
	* imap/mailimap.[ch]
	* imap/mailimap_helper.h
	* imap/mailimap_parser.c
	* imap/mailimap_sender.c
	* imap/mailimap_socket.h
	* imap/mailimap_ssl.h
	* imap/mailimap_types.[ch]
	* imap/mailimap_types_helper.[ch]
	* imf/mailimf.h
	* imf/mailimf_types.h
	* imf/mailimf_types_helper.h
	* imf/mailimf_write.h
	* maildir/maildir.[ch]
	* maildir/maildir_types.h
	* mbox/mailmbox.c
	* mbox/mailmbox.h
	* mbox/mailmbox_types.h
	* mh/mailmh.[ch]
	* mime/mailmime.h
	* mime/mailmime_content.h
	* mime/mailmime_decode.h
	* mime/mailmime_disposition.h
	* mime/mailmime_types.h
	* mime/mailmime_types_helper.h
	* mime/mailmime_write.h
	* nntp/newsnntp.h
	* nntp/newsnntp_socket.h
	* nntp/newsnntp_ssl.h
	* nntp/newsnntp_types.h
	* pop3/mailpop3.h
	* pop3/mailpop3_socket.h
	* pop3/mailpop3_ssl.h
	* pop3/mailpop3_types.h
	* smtp/mailsmtp.[ch]
	* smtp/mailsmtp_helper.c
	* smtp/mailsmtp_socket.h
	* smtp/mailsmtp_ssl.h
	* smtp/mailsmtp_types.h
	* tests/compose-msg.c
	* tests/fetch-attachment.c
	* tests/frm-common.[ch]
	* tests/frm-simple.c
	* tests/frm-tree.c
	* tests/frm.c
	* tests/option-parser.[ch]
	* tests/readmsg-common.[ch]
	* tests/readmsg-simple.c
	* tests/readmsg.c
	* tests/smtpsend.c
	* tools/Makefile
	* tools/carray.h
	* tools/mail.h
	* tools/mail_cache_db.c
	* tools/maillock.c
	* tools/mailstream.h
	* tools/mailstream_helper.[ch]
	* tools/mailstream_low.h
	* tools/mailstream_socket.h
	* tools/mailstream_ssl.h
	* tools/mailstream_types.h
	* tools/mmapstring.c
	    fixed some dependencies.
	    Application that use libEtPan! now have to use
	    '#include <libetpan/libetpan.h>'
	    #include <libetpan.h> still exists for backward compatibility.
	    API version (with libtool) has been introduced.

2003-12-14 - libetpan-0.31cvs3 - hoa

	* Makefile.in
	    fixed dependencies.
	
	* generic/maildriver_tools.c
	* generic/mailstorage_tools.c
	    added missing includes.
	
	* imf/mailimf_types.h
	    fixed documentation.

2003-12-11 - libetpan-0.31cvs2 - hoa

	* tools/carray.h
	    fixed prototype of non-macro version.

2003-12-11 - libetpan-0.31cvs1 - hoa

	* configure.in
	* imap/mailimap_helper.c
	* imap/mailimap_parser.c
	* imap/mailimap_print.c
	* imap/mailimap_sender.c
	* imap/mailimap_types.[ch]
	    now sends empty astring as "".
	    fixed a problem when fetching RFC822[.XXX] parts.
	    fixed a problem with mailbox flags.

2003-12-10 - libetpan-0.31 - hoa

	* release 0.31 - Steve Morse release

	* general
	    - all fields name of structures are changed.
	    - bugfixes.
	    - union {} are added everywhere it is possible to save memory.
	    - support for Berkeley DB 1.
	    - improved compatibility with FreeBSD and Mac OS X.
	
	* drivers
	    - cache drivers are disable if Berkeley DB is not found.
	    - disable search call.
	    - support of buggy Courier-IMAP server.
	    - semantic of mailsession_get_envelopes_list() changed : it 
	        does no more remove messages from the list.
	    - mailsession_get_message_by_uid() is added and implemented 
	        in some drivers.

2003-12-10 - libetpan-0.30-cvs22 - hoa

	* configure.in
	* tools/mail_cache_db.c
	    if Berkeley DB is not found, cached drivers are disabled.
	
	* generic/mailmessage_tools.c
	* generic/mhdriver_tools.c
	* generic/mime_message_driver.c
	    fetch_header(), fetch_section_header(), fetch_section_mime()
	    returns the ending single CRLF line for all drivers.

	* tests/compose-msg.c
	* tests/fetch-attachment.c
	* tests/frm-common.c
	* tests/frm-simple.c
	* tests/frm-tree.c
	* tests/frm.c
	* tests/option-parser.c
	* tests/readmsg.c
	    fixed examples. Add static keyword where needed, forbid use
	    of 'msg->msg_single_fields'.

2003-12-08 - libetpan-0.30-cvs21 - hoa

	* tests/fetch-attachment.c
	* tests/frm-simple.c
	* tests/frm-tree.c
	* tests/frm.c
	* tests/option-parser.[ch]
	* tests/readmsg-simple.c
	* tests/readmsg.c
	* tests/frm-common.[ch]          * NEW FILES *
	    conform to new API.
	    added missing files frm-common.[ch]

2003-12-08 - libetpan-0.30-cvs20 - hoa

	* generic/generic_cache.[ch]
	* generic/generic_cache_types.h
	* generic/maildriver_types.[ch]
	* generic/maildriver.[ch]
	* generic/maildriver_tools.[ch]
	* generic/maildriver_types_helper.c
	* generic/mailmessage.[ch]
	* generic/mailmessage_tools.c
	* generic/mailmessage_types.c
	* generic/mailstorage.[ch]
	* generic/mailstorage_tools.[ch]
	* generic/mailstorage_types.h
	* generic/mailthread.[ch]
	* generic/mailthread_types.c
	    prefix field names.
	    reflect the changes in the naming.
	    changed prototype of storage uninitializer.
	    changed prototype of session initializer.
	    removed mail_search_key related things.

	* generic/data_message_driver.c
	* generic/imfcache.c
	* generic/mime_message_driver.c
	    reflect the changes in the naming.
	
	* generic/imapdriver.[ch]
	* generic/imapdriver_cached.[ch]
	* generic/imapdriver_cached_message.c
	* generic/imapdriver_message.c
	* generic/imapdriver_tools.[ch]
	* generic/imapdriver_types.h
	* generic/imapstorage.[ch]
	    reflect the changes in the naming.
	    additionnally, imapdriver becomes imap_session_driver
	    and imapdriver_cached becomes imap_cached_session_driver.
	
	* generic/libetpan.h
	    drivers are now included in this header.
	
	* generic/maildirdriver.[ch]
	* generic/maildirdriver_cached.[ch]
	* generic/maildirdriver_cached_message.c
	* generic/maildirdriver_message.c
	* generic/maildirdriver_tools.[ch]
	* generic/maildirdriver_types.h
	* generic/maildirstorage.[ch]
	    reflect the changes in the naming.
	    additionnally, maildirdriver becomes maildir_session_driver
	    and maildirdriver_cached becomes 
	    maildir_cached_session_driver.
	
	* generic/mboxdriver.[ch]
	* generic/mboxdriver_cached.[ch]
	* generic/mboxdriver_cached_message.c
	* generic/mboxdriver_message.c
	* generic/mboxdriver_tools.[ch]
	* generic/mboxdriver_types.h
	* generic/mboxstorage.[ch]
	    reflect the changes in the naming.
	    additionnally, mboxdriver becomes mbox_session_driver
	    and mboxdriver_cached becomes mbox_cached_session_driver.

	* generic/mhdriver.[ch]
	* generic/mhdriver_cached.[ch]
	* generic/mhdriver_cached_message.c
	* generic/mhdriver_message.c
	* generic/mhdriver_tools.[ch]
	* generic/mhdriver_types.h
	* generic/mhstorage.[ch]
	    reflect the changes in the naming.
	    additionnally, mboxdriver becomes mh_session_driver
	    and mhdriver_cached becomes mh_cached_session_driver.

	* generic/nntpdriver.[ch]
	* generic/nntpdriver_cached.[ch]
	* generic/nntpdriver_cached_message.c
	* generic/nntpdriver_message.c
	* generic/nntpdriver_tools.[ch]
	* generic/nntpdriver_types.h
	* generic/nntpstorage.[ch]
	    reflect the changes in the naming.
	    additionnally, nntpdriver becomes nntp_session_driver
	    and nntpdriver_cached becomes nntp_cached_session_driver.

	* generic/pop3driver.[ch]
	* generic/pop3driver_cached.[ch]
	* generic/pop3driver_cached_message.c
	* generic/pop3driver_message.c
	* generic/pop3driver_tools.[ch]
	* generic/pop3driver_types.h
	* generic/pop3storage.[ch]
	    reflect the changes in the naming.
	    additionnally, pop3driver becomes pop3_session_driver
	    and pop3driver_cached becomes pop3_cached_session_driver.

	* imap/mailimap.c
	* imap/mailimap_print.c
	* imap/mailimap_sender.c
	* imf/mailimf_types_helper.c
	* imf/mailimf_write.c
	* mime/mailmime.c
	* mime/mailmime_content.c
	* mime/mailmime_types.c
	* mime/mailmime_types_helper.c
	* nntp/newsnntp.c
	* smtp/mailsmtp_helper.c
	    proper use of clist_content(), clist_next(), carray_count()
	    and carray_data().

2003-12-05 - libetpan-0.30-cvs19 - hoa

	* generic/imapdriver.c
	    don't fail if SEARCH command is not supported by the server.
	    
	* configure.in
	    improved autodetection of Berkeley DB version.
	    Thanks to Keith Edmunds.

2003-12-04 - libetpan-0.30-cvs18 - hoa

	* generic/generic_cache.c
	* generic/imapdriver.c
	* generic/imapdriver_cached.c
	* generic/imapdriver_tools.c
	* generic/maildirdriver.c
	* generic/maildirdriver_cached.c
	* generic/maildirdriver_tools.c
	* generic/maildriver_tools.c
	* generic/maildriver_types.c
	* generic/mailstorage.c
	* generic/mailstorage_types.h
	* generic/mailthread.c
	* generic/mailthread_types.c
	* generic/mboxdriver.c
	* generic/mboxdriver_cached.c
	* generic/mboxdriver_message.c
	* generic/mboxdriver_tools.c
	* generic/mhdriver.c
	* generic/mhdriver_cached.c
	* generic/mhdriver_cached_message.c
	* generic/mhdriver_message.c
	* generic/mhdriver_tools.c
	* generic/nntpdriver.c
	* generic/nntpdriver_cached.c
	* generic/nntpdriver_tools.c
	* generic/pop3driver.c
	* generic/pop3driver_cached.c
	* generic/pop3driver_tools.c
	* maildir/maildir.c
	* mbox/mailmbox.c
	* mbox/mailmbox_parse.c
	* mbox/mailmbox_types.[ch]
	* mh/mailmh.[ch]
	* pop3/mailpop3.c
	* pop3/mailpop3_types.h
	* tests/frm-simple.c
	* tests/frm-tree.c
	* tests/frm.c
	* tests/readmsg-common.c
	* tools/carray.[ch]
	* tools/chash.[ch]
	* tools/mmapstring.c
	    changed carray and chash structure to easy use of them.
	    reflect these changes on the whole code.

2003-12-03 - libetpan-0.30-cvs17 - hoa

	* mh/mailmh.[ch]
	    don't update folder implicitely.
	
	* generic/mhdriver.c
	* generic/mhdriver_cached.c
	* generic/mhdriver_cached_message.c
	* generic/mhdriver_message.c
	* generic/mhdriver_tools.c
	    fixed MH driver status and expunge.

	* generic/imapstorage.h
	    removed duplicate licence.
	
	* imap/mailimap_keywords.[ch]
	* imap/mailimap_sender.[ch]
	* imap/mailimap_socket.[ch]
	* imap/mailimap_ssl.[ch]
	* imf/mailimf.[ch]
	* imf/mailimf_types.[ch]
	* imf/mailimf_write.[ch]
	* maildir/maildir.[ch]
	* mbox/mailmbox.[ch]
	* mbox/mailmbox_types.[ch]
	* mime/mailmime.[ch]
	* mime/mailmime_content.[ch]
	* mime/mailmime_decode.[ch]
	* mime/mailmime_disposition.[ch]
	* mime/mailmime_types.[ch]
	* mime/mailmime_types_helper.[ch]
	* mime/mailmime_write.[ch]
	* nntp/newsnntp.[ch]
	* nntp/newsnntp_socket.[ch]
	* nntp/newsnntp_ssl.[ch]
	* pop3/mailpop3.[ch]
	* pop3/mailpop3_socket.[ch]
	* pop3/mailpop3_ssl.[ch]
	* smtp/mailsmtp.[ch]
	* smtp/mailsmtp_helper.[ch]
	* smtp/mailsmtp_socket.[ch]
	* smtp/mailsmtp_ssl.[ch]
	* tools/charconv.[ch]
	* tools/chash.c
	* tools/connect.[ch]
	* tools/mail_cache_db.[ch]
	* tools/maillock.[ch]
	* tools/mailstream.[ch]
	* tools/mailstream_helper.[ch]
	* tools/mailstream_low.[ch]
	* tools/mailstream_socket.c
	* tools/mailstream_ssl.c
	* tools/mailstream_types.h
	    applied 'const' qualifier where it is needed except in
	    generic part.

2003-12-03 - libetpan-0.30-cvs16 - hoa

	* imap/mailimap_sender.c
	    Workaround for a bug in Courier-IMAP.
	    Thanks to Mark B. Elrod.

2003-12-03 - libetpan-0.30-cvs15 - hoa

	* README
	* imap/mailimap_sender.c
	    fixed IMAP protocol when sending a DELETE command
	    (there was a missing space).
	    Thanks to Zsolt VARGA.

2003-12-02 - libetpan-0.30-cvs14 - hoa

	* generic/maildriver_types.h
	* generic/maildriver_tools.c
	* generic/nntpdriver.c
	* generic/nntpdriver_cached.c
	* tests/frm-simple.c
	* tests/frm.c
	    changed semantic of get_envelopes_list() :
	    the messages that could not be fetched are not
	    removed from the given list.

2003-12-02 - libetpan-0.30-cvs13 - hoa

	* tests/Makefile
	* tests/compose-msg.c
	* tests/etpan-message-data-driver.[ch]  * REMOVED FILES *
	* tests/fetch-attachment.c
	* tests/frm-common.c                    * NEW FILES *
	* tests/frm-simple.c
	* tests/frm-tree.c
	* tests/frm.c
	* tests/readmsg-common.c
	* tests/readmsg.c
	    synchronize tests with new API.

2003-12-02 - libetpan-0.30-cvs12 - hoa

	* generic/mboxdriver.c
	* generic/mboxdriver_cached.c
	* generic/mboxdriver_cached_message.c
	* generic/mboxdriver_message.c
	* generic/mboxdriver_tools.c
	* mbox/mailmbox.c
	* mbox/mailmbox_parse.c
	* mbox/mailmbox_types.[ch]
	    added a prefix before field names in mbox module.

2003-12-02 - libetpan-0.30-cvs11 - hoa

	* generic/imapdriver_tools.c
	* generic/imfcache.c
	* generic/maildriver_types.c
	* generic/mailthread.c
	* imf/mailimf.c
	* imf/mailimf_types.[ch]
	* imf/mailimf_types_helper.c
	* imf/mailimf_write.c
	* mime/mailmime.c
	* mime/mailmime_content.c
	    added a prefix before field names in IMF module.

2003-12-01 - libetpan-0.30-cvs10 - hoa

	* generic/maildirdriver.c
	* generic/maildirdriver_cached.c
	* generic/maildirdriver_tools.c
	* generic/mhdriver.c
	* generic/mhdriver_cached.c
	* generic/mhdriver_cached_message.c
	* generic/mhdriver_message.c
	* generic/mhdriver_tools.c
	* maildir/maildir.c
	* maildir/maildir_types.h
	* mh/mailmh.c
	* mh/mailmh.h
	    added a prefix before field names in MH
	    and maildir modules.
	    Thanks to Melvin Hadasht.

2003-12-01 - libetpan-0.30-cvs9 - hoa

	* generic/nntpdriver.c
	* generic/nntpdriver_cached.c
	* generic/nntpdriver_tools.c
	* generic/pop3driver.c
	* generic/pop3driver_cached.c
	* generic/pop3driver_cached_message.c
	* generic/pop3driver_tools.c
	* nntp/newsnntp.[ch]
	* nntp/newsnntp_types.h
	* pop3/mailpop3.[ch]
	* pop3/mailpop3_types.h
	    added a prefix before field names in NNTP
	    and POP3 modules.
	    Thanks to Melvin Hadasht.

2003-12-01 - libetpan-0.30-cvs8 - hoa

	* generic/imapdriver_cached_message.c
	* generic/imapdriver_message.c
	* generic/imapdriver_tools.c
	* generic/mailmessage_tools.c
	* generic/mime_message_driver.c
	* mime/mailmime_content.c
	* mime/mailmime_decode.c
	* mime/mailmime_disposition.c
	* mime/mailmime_types.[ch]
	* mime/mailmime_types_helper.[ch]
	* mime/mailmime_write.c
	    changed field name in MIME module and
	    replaced some structure with union.
	
	* imap/mailimap.c
	* nntp/newsnntp.c
	    fixed bug that didn't allow connection.

2003-12-01 - libetpan-0.30-cvs7 - hoa

	* libetpan-config.in
	    added LDFLAGS to libetpan-config --libs.
	
	* nntp/newsnntp.c
	* pop3/mailpop3.c
	* generic/mailstorage_tools.c
	    don't unreference stream on connect() error.
	
	* generic/data_message_driver.c
	* generic/maildriver_types.c
	* generic/maildriver_types.h
	* generic/mailmessage_tools.c
	    now a zero length string can be given as (NULL, 0)
	    for the content of the message.
	    changed field names of mail_search_key structure.
	
	* generic/maildriver_errors.h
	    added error type.
	
	* generic/imapdriver.c
	* generic/imapdriver_cached.c
	* generic/imapdriver_cached_message.c
	* generic/imapdriver_message.c
	* generic/imapdriver_tools.c
	* generic/nntpdriver_message.c
	* imap/mailimap.c
	* imap/mailimap.h
	* imap/mailimap_helper.c
	* imap/mailimap_print.c
	* imap/mailimap_sender.c
	* imap/mailimap_socket.c
	* imap/mailimap_types.[ch]
	* imap/mailimap_types_helper.[ch]
	    changed the name of the fields in IMAP low-level implementation,
	    (prefix has been added to field names in structures).
	
	* mime/mailmime.c
	    a FWS can now appear in Content-Type field, before
	    the MIME type.

2003-11-25 - libetpan-0.30-cvs6 - hoa

	* generic/mboxdriver_cached.c
	    max-uid file is now located in flags directory.
	    this allows to keep flags coherence.

2003-11-25 - libetpan-0.30-cvs5 - hoa

	* configure.in
	* tools/mailstream_socket.c
	* tools/mailstream_ssl.c
	    removed specific check for <sys/select.h>
	
	* generic/data_message_driver.c
	* generic/data_message_driver.h
	* generic/libetpan_version.h.in
	* generic/maildriver_errors.h
	* generic/mime_message_driver.c
	* generic/mime_message_driver.h
	    added licence information.

2003-11-25 - libetpan-0.30-cvs4 - hoa

	* configure.in
	* tools/mailstream_socket.c
	* tools/mailstream_ssl.c
	    Check for valid <sys/select.h>.
	    Because Mac OS X systems, <sys/select.h> cannot be included
	    alone. Then, we follow the old standard to use select() system
	    call.
	
	* generic/generic_cache.c
	* generic/libetpan_version.c
	    clean up code.
	
	* tools/mail_cache_db.c
	    Support for Berkeley DB version 1.x.

2003-11-25 - libetpan-0.30-cvs3 - hoa

	* generic/maildirdriver.c 
	    fixed a crash in get_envelopes_list().
	
	* generic/maildriver_errors.h  * NEW FILE *
	* generic/maildriver_types.h
	    moved error codes from maildriver_types.h to
	    maidlriver_errors.h.
	
	* generic/mailthread.h
	* generic/mailthread_types.h
	    moved threading type to mailthread_types.h
	
	* maildir/maildir.c
	    added internal basename() function so that
	    libEtPan! can compile on Mac OS X.
	
	* tools/mail_cache_db.c
	* tools/maildb_helper.[ch]     * REMOVED FILES *
	    added support for DB1 (cleanse of database) and 
	    removed deprecated files.

2003-11-22 - libetpan-0.30-cvs2 - hoa

	* generic/nntpdriver_message.c
	    added UID to NNTP mailmessage structure.

2003-11-22 - libetpan-0.30-cvs1 - hoa

	* generic/imapdriver.c
	* generic/imapdriver_cached.c
	* generic/imapdriver_message.c
	* generic/imapdriver_tools.c
	* generic/maildirdriver.c
	* generic/maildirdriver_cached.c
	* generic/maildriver.[ch]
	* generic/maildriver_types.h
	* generic/mboxdriver.c
	* generic/mboxdriver_cached.c
	* generic/mboxdriver_message.c
	* generic/mhdriver.c
	* generic/mhdriver_cached.c
	* generic/mhdriver_message.c
	* generic/nntpdriver.c
	* generic/nntpdriver_cached.c
	* generic/pop3driver.c
	* generic/pop3driver_cached.c
	    mailsession_get_message_by_uid() is added.
	    It is used like mailsession_get_message(),
	    but using the uid string.
	    This is implemented in imap driver, nntp driver,
	    mh driver and mbox driver (cached and non cached version).
	    This is not implemented in pop3 nor maildir.
	    
	    uid member of mailmessage structure is always defined for
	    drivers where this function is implemented.
	    
	    Thanks to Melvin Hadasht.
	    
2003-11-21 - libetpan-0.30 - hoa

	* release 0.30 - Spock's Beard release

	* general
	    - fixed several memory leaks.
	    
	    - defines now exist for new features since version 0.29

	* tools
	    - dump of network traffic is now possible by setting
	      exported variable mailstream_debug to 1.
	    
	    - TLS/SSL driver for stream is fixed.
	    
	* imf
	    - fixed RFC 2822 format, wrap headers and break lines
	      when they are longer than requirement (998).
	    
	    - reduced size of headers data.
	      a union is used inside the structure.
	      *** WARNING *** : this change use of structure field as a union
	      member is used in mailimf_field structure.

	* imap
	   - several fixes in IMAP module.
	
	* mime
	   - fixed quoted-printable parser.
	
	* generic - cache for drivers
	   - cache database is now cleaned up.
	   
	   - fixed header fields cache.
	      *** WARNING *** cache format changed. You should reset all
	      your cache of headers (env.db).

	* generic - threading
      
	   - fixed threading when threading by references with subject.

	* generic - drivers for message
   
	   - separated flush() and check() in message.
	     *** WARNING *** : this changes the API of the message.
	     flush() is used to free the internal structure used
	     to store the MIME structure of the message. It invalidates
	     the "mime" member of the message.
	     check() is used for to notify the modification of message
	     flags to the session, so that the session saves the flags
	     of the message at the next call of mailsession_check() or
	     when leaving the session.

	   - IMAP implementation is more compliant.
	   
	   - added driver to build MIME message and see the rendering
	     through fetch functions.
	     
	   - added driver to parse message content given with a string.

	* generic - drivers for maildir

	   - maildir driver for storage / session / messages
	     is implemented.

2003-11-21 - libetpan-0.1-cvs31 - hoa

	* Makefile.in
	* README
	* configure.in
	* generic/Makefile
	* generic/libetpan.h
	* generic/libetpan_version.c
	* generic/libetpan_version.h.in
	    support for runtime version of libetpan

2003-11-20 - libetpan-0.29-cvs30 - hoa

	* imf/mailimf_write.c
	    wrap mailbox list when we have a single address as
	    a mailbox.

2003-11-20 - libetpan-0.29-cvs29 - hoa

	* generic/imapdriver.c
	    clean up code.
	
	* imap/mailimap.c
	    update message count with EXPUNGE responses.
	
	* tools/mailstream_socket.c
	    added comment about initial state of socket.
	
	* tools/mailstream_ssl.c
	    added comment about initial state of socket.
	    read() is fixed.
	    
2003-11-19 - libetpan-0.29-cvs28 - hoa

	* generic/mailthread.c
	    fixed threading by references when using subjects.

2003-11-19 - libetpan-0.29-cvs27 - hoa

	* generic/maildirdriver_cached.c
	* generic/mboxdriver_cached.c
	* generic/mhdriver_cached.c
	* generic/nntpdriver_cached.c
	* generic/pop3driver_cached.c
	    don't open any files if flags_store is empty.
	
	* imap/mailimap_types.c
	    fixed a crash when freeing a mailbox list information
	    with no flags.
	
	* tools/mailstream.c
	    default value for network timeout.

2003-11-17 - libetpan-0.29-cvs26 - hoa

	* imap/mailimap.c
	* imap/mailimap_sender.c
	    fixed syntax of SEARCH command.
	
	* tools/mailstream.[ch]
	* tools/mailstream_types.h
	    if LIBETPAN_STREAM_DEBUG is define in mailstream_types.h, we 
	    can use a global variable mailstream_debug to enable the dump 
	    of the network protocol on the file libetpan-stream-debug.log.
	
2003-11-17 - libetpan-0.29-cvs25 - hoa

	* generic/imapdriver.c
	    use SEARCH instead of STATUS on selected folder to 
	    get UNSEEN messages count.
	
	* imap/mailimap.c
	    allows multiple SEARCH responses.
	
	* imap/mailimap_keywords.c
	* imap/mailimap_parser.c
	    fixed parsing of mailbox flags.
	
	* tools/clist.c
	    fixed count when using clist_concat().

2003-11-14 - libetpan-0.29-cvs24 - hoa

	* imf/mailimf_write.c
	    fixed the space between Message-IDs, problem introduced
	    by rewriting of headers wrapper.

2003-11-13 - libetpan-0.29-cvs23 - hoa

	* generic/maildirdriver_types.h
	* generic/mhdriver_types.h
	    fixed some comments.
	
	* mime/mailmime_content.c
	    fixed infinite loop in MIME parser.

2003-11-12 - libetpan-0.29-cvs22 - hoa

	* generic/maildriver_tools.h
	    removed exported functions that does no more exist.

2003-11-12 - libetpan-0.29-cvs21 - hoa

	* generic/maildriver_tools.h
	    removed exported function that does no more exist.

2003-11-11 - libetpan-0.29-cvs20 - hoa

	* generic/Makefile
	* generic/mailmessage.h
	* generic/data_message_driver.[ch]      * NEW FILES *
	* generic/mime_message_driver.[ch]      * NEW FILES *
	    driver to allow construction of MIME message.
	    (mime_message_driver.[ch]).
	    driver to operations on message which content is
	    given by a string.

2003-11-10 - libetpan-0.29-cvs19 - hoa

	* Makefile.in
	    compilation of maildir low-level implementation.

	* maildir/Makefile                             * NEW FILE *
	* maildir/maildir.[ch]	                       * NEW FILES *
	* maildir/maildir_types.h                      * NEW FILE *
	    maildir low-level implementation.
	
	* generic/Makefile
	* generic/maildirdriver.[ch]                   * NEW FILES *
	* generic/maildirdriver_cached.[ch]            * NEW FILES *
	* generic/maildirdriver_cached_message.[ch]    * NEW FILES *
	* generic/maildirdriver_message.[ch]           * NEW FILES *
	* generic/maildirdriver_tools.[ch]             * NEW FILES *
	* generic/maildirdriver_types.h                * NEW FILE *
	* generic/maildirstorage.[ch]                  * NEW FILES *
	    implementation of maildir driver, cached and non-cached
	    versions.
	
	* generic/generic_cache.c
	    use msync() when finished writing using mmap() with MAP_SHARED.
	
	* generic/imapdriver_tools.c
	    changed flag name "Forwarded" into something more standard
	    "$Forwarded" (draft on flag keywords for IMAP).
	
	* generic/maildriver.h
	    added maildir drivers for session.
	
	* generic/maildriver_types.h
	* generic/mailmessage_tools.c
	    added message data for drivers that will use internal
	    data although they are using the generic functions.
	
	* generic/mailmessage.h
	    added maildir drivers for message.
	
	* generic/mailstorage.h
	    added maildir driver for storage.
	
	* generic/mboxdriver_cached.c
	    optimization on memory use.
	
	* generic/mhdriver_cached.c
	    code clean up.
	
	* generic/mhdriver_tools.c
	* mh/mailmh.c
	    don't use MAP_SHARED for mmap() where it is not needed.

	* tests/fetch-attachment.c
	* tests/frm.c
	* tests/frm-simple.c
	* tests/frm-tree.c
	* tests/frm.c
	* tests/option-parser.[ch]
	* tests/readmsg-simple.c
	* tests/readmsg.c
	    factorize code of storage initialization into
	    option-parser.[ch].

2003-11-09 - libetpan-0.29-cvs18 - hoa

	* generic/imapdriver_tools.c
	    fixed management of MAIL_FLAG_FORWARDED.
	
	* generic/nntpdriver_tools.c
	    fixed a memory leak.
	
	* imap/mailimap_types.c
	    fixed a memory freeing.

2003-11-05 - libetpan-0.29-cvs17 - hoa

	* imf/mailimf.c
	    broken parsing of message-id due to previous change
	    is fixed.
	
2003-11-05 - libetpan-0.29-cvs16 - hoa

	* imf/mailimf.c
	    accept some weird syntax, for example :
	    foo@bar.com <foo@bar.com>
	    This is now accepted.

2003-11-04 - libetpan-0.29-cvs15 - hoa

	* imf/mailimf_write.c
	    fixed (again) wrapping of header fields.

2003-11-03 - libetpan-0.29-cvs14 - hoa

	* generic/imapdriver_message.c
	    fixed behaviour of IMAP message driver.

2003-11-03 - libetpan-0.29-cvs13 - hoa

	* mh/mailmh.[ch]
	* mime/mailmime.[ch]
	* mime/mailmime_decode.[ch]
	* mime/mailmime_disposition.[ch]
	* mime/mailmime_types.[ch]
	* mime/mailmime_types_helper.[ch]
	    removed duplicated licence.
	
	* mime/mailmime_content.[ch]
	* mime/mailmime_write.[ch]
	    removed duplicated licence.
	    fixed quoted-printable parser.
	    fixed multipart parser, preamble and epilogue are now stored.
	    fixed quoted-printable part renderer.

2003-10-29 - libetpan-0.29-cvs12 - hoa

	* generic/mailmessage_tools.c
	    fixed a bug in generic fetch header part of section.
	
	* generic/nntpdriver.c
	    check() replace flush() message in message envelopes list
	    fetch to reflect new API (0.29-cvs1).

2003-10-29 - libetpan-0.29-cvs11 - hoa

	* imf/mailimf_write.c
	    workaround for a bug of old versions of INN.
	
	* mime/mailmime_types_helper.c
	    mailmime_single_fields_init() now accept NULL as the
	    "mailmime_fields" argument, so that we call this function
	    with only a "mailmime_content".
	
2003-10-29 - libetpan-0.29-cvs10 - hoa

	* generic/imapdriver_cached.c
	* generic/imapdriver_cached_message.c
	* generic/mboxdriver_cached.c
	* generic/mhdriver_cached.c
	* generic/nntpdriver_cached.c
	* generic/pop3driver_cached.c
	    code cleanup.
	    message content cache files are now cleaned up in
	    an unlocked state.

2003-10-29 - libetpan-0.29-cvs9 - hoa
	
	* mbox/mailmbox.c
	    fixed get_line() function. Does not get out from the buffer.

2003-10-29 - libetpan-0.29-cvs8 - hoa
	
	* generic/imapdriver_tools.c
	    fixed conversion of data in IMAP driver.

2003-10-29 - libetpan-0.29-cvs7 - hoa
	
	* mime/mailmime_content.c
	    remove unparsed IMF (RFC 2822) headers in the
	    parsed MIME structure, that are MIME headers,
	    so that rendering of MIME message from parsed MIME
	    structure is correct.

2003-10-28 - libetpan-0.29-cvs6 - hoa

	* generic/nntpdriver_cached.c
	    now, the flags are not lost when the cache is deleted.
	    
	* generic/imapdriver_message.c
	    get rid of deprecated things in IMAP protocol.
	    mailmessage_fetch() will no longer mark the message 
	    as read.

2003-10-28 - libetpan-0.29-cvs5 - hoa
	
	* generic/imfcache.c
	    fixed header fields cache.
	    *** WARNING *** cache format changed. You should reset all
	    your cache of headers (env.db).
	
	* generic/maildriver.h
	    added comment about driver function.
	
	* tools/maillock.c
	    change dotlock behaviour (wait 5 seconds after each failed try)
	
2003-10-27 - libetpan-0.29-cvs4 - hoa
	
	* README
	    added information about C #define
	
	* generic/imapdriver_cached_message.c
	    fixed memory leak in cached IMAP message driver.
	    MIME structure is not fetched again when already fetched.
	
	* imf/mailimf_types.h
	    added LIBETPAN_MAILIMF_FIELD_UNION #define to know that
	      we are on version of libEtPan! with a union to implement
	      mailimf_field data type.

	* generic/maildriver_types.h
	    added LIBETPAN_MAILMESSAGE_CHECK #define to know that
	      we are on version of libEtPan! with mailmessage_check()
	      call separated from mailmessage_flush() call, introduced
	      in 0.29-cvs1

	* imf/mailimf_write.c
	    fixed wrapping of header text. First character was removed 
	      when the first word was too long.

	* generic/generic_cache.[ch]
	* generic/generic_cache_types.h
	* generic/imapdriver.[ch]
	* generic/imapdriver_cached.[ch]
	* generic/imapdriver_tools.h
	* generic/imapdriver_types.h
	* generic/imapstorage.[ch]
	* generic/imfcache.[ch]
	* generic/libetpan.h
	* generic/maildriver.c
	* generic/maildriver_tools.c
	* generic/maildriver_types.c
	* generic/mailmessage_types.h
	* generic/mailstorage.[ch]
	* generic/mailstorage_tools.[ch]
	* generic/mailstorage_types.h
	* generic/mboxdriver.[ch]
	* generic/mboxdriver_cached.h
	* generic/mboxdriver_types.h
	* generic/mboxstorage.[ch]
	* generic/mhdriver.[ch]
	* generic/mhdriver_cached.[ch]
	* generic/mhdriver_types.h
	* generic/mhstorage.[ch]
	* generic/nntpdriver.[ch]
	* generic/nntpdriver_cached.[ch]
	* generic/nntpdriver_types.h
	* generic/nntpstorage.[ch]
	* generic/pop3driver.[ch]
	* generic/pop3driver_cached.[ch]
	* generic/pop3driver_types.h
	* generic/pop3storage.[ch]
	* imap/mailimap_types_helper.[ch]
	* imf/mailimf_types_helper.h
	* imf/mailimf_write.h
	* mbox/mailmbox.h
	* mh/mailmh.[ch]
	* mime/mailmime.[ch]
	* mime/mailmime_content.[ch]
	* mime/mailmime_decode.[ch]
	* mime/mailmime_disposition.[ch]
	* mime/mailmime_types.[ch]
	* mime/mailmime_types_helper.[ch]
	* mime/mailmime_write.[ch]
	* tools/carray.[ch]
	* tools/charconv.[ch]
	* tools/chash.[ch]
	* tools/cinthash.[ch]
	* tools/clist.[ch]
	* tools/hmac-md5.h
	* tools/mailstream_socket.h
	* tools/mailstream_types.h
	* tools/mapping.[ch]
	* tools/md5.[ch]
	* tools/md5global.h
	* tools/mmapstring.[ch]
	    added licence information and name of last commiter.
	
2003-10-25
	
	* version 0.29-cvs3
	* generic/imapdriver_cached.c
	    fixed wrong message size (of 0) when UID list cache is
	    used in IMAP cached driver. The size is now stored in the 
	    UID list cache.
	
	* imf/mailimf.c
	    fixed single address parsing (his will strip all spaces in
	    the address)

2003-10-24
	
	* version 0.29-cvs2
	* generic/imapdriver_tools.c
	    flag NEW in IMAP driver is disabled when the message is SEEN.

2003-10-23
	
	* version 0.29-cvs1
	* imf - reduced size of headers data
	    WARNING : this change use of structure field as a union
	      member is used in mailimf_field structure.
	* generic - imap - fixed some data conversion
	* tools - chash - add a call
	* generic - separated flush() and check() in message.
	    WARNING : this changes the API of the message.
	      flush() is used to free the internal structure used
	      to store the MIME structure of the message. It invalidates
	      the "mime" member of the message.
	      check() is used for to notify the modification of message
	      flags to the session, so that the session saves the flags
	      of the message at the next call of mailsession_check() or
	      when leaving the session.
	* all - fixed some leaks
	* imf - fixed mailbox group parsing
	* imf, mime - fixed RFC 2822 format (CR LF at end of lines)
	* generic - pop3, nntp - fixed memory leaks
	* generic - message theading - waste less memory
	* imap - fixed some memory leaks
	* mime - parse some non-conform MIME encoded headers
	* nntp - fixed a memory leak
	* mbox - strip UID headers when fetching message content
	* tools - adds new database cache file interface (mail_cache_db.[ch])
	* tools - added extern "C" { } to avoid name mangling in C++
	* generic - drivers now make use of new database cache file interface.
	* tools - adds a function to clean up the database file
	* all - some compilation warning fixes
	* generic - drivers - cached drivers now clean their cache
	* mbox - removed use of cinthash
	* generic - mbox - removed use of cinthash
	* all - removed use of alloc.h
	* imf - can now fold some more headers (including headers with free
	     form values) for more standards conformance
	* mime - can parse multilines headers, fixed quoted-printable
	     decoding (all single \n are now decoded to \r\n)
	* mbox - synchronize mmapped file before unmapping it.
	* tools - mmapstring - removed use of cinthash, replaced with chash
	
2003-10-06 - XetPan release

        * version 0.29
	* generic - imap - bugfixes
	* tools - mailstream - debug for stream, network timeout
	* tools - mailstream - ssl library is initialized by ssl driver,
	    fixed a bug
	* tools - chash - fixed chash interface
	* imf - fixed interface
	* mime - fixed memory leak and some interface
	* generic - fixed messages thread
	* nntp - bugfixes
	* pop3 - bugfixes
	* smtp - added SMTP auth CRAM-MD5, LOGIN, PLAIN
	* imap - bugfixes
	* mime - fixed writing of MIME part
	* tests - added SMTP sample, thanks to Gael Roualland
	
2003-04-01 - Avril Lavigne Release

	* version 0.28
	* imap - fixed IMAP parser
	* mime - fixed section id generation
	* mime - fixed mime parser
	* generic - conform to IMAP naming for flags
	* tools - prefix for tcp_connect() and get_service_port()
	* generic - nntp - noop function added
	* configure - some fixes
	* generic - message parse fixes
	* generic - nntp - non existant message are marked as read
	* generic - thanks to David Woodhouse, access to protocol
	    using a command, (ex: ssh /usr/sbin/imapd)
	    imply an API change when calling nntp_storage_init(),
	    pop3_storage_init() or imap_storage_init().
	* generic - pop3 - apop is tried and if deconnected, reconnection
	    is carried out and clear authentication is tried.
	* mime - make public the encoding functions
	* mime - conform to RFC 2046 (quoted-string)
	* tools - fixed chash
	
2002-12-18 - Christmas release ^^ //clindoeil

	* version 0.27
	* imf - added easier interface for IMF fields (RFC 2822)
	* mime - added easier interface for MIME fields
	* mime - conversion to quoted printable will quote F to avoid
	    "From_" sequence
	* imf - easier usage of IMF (RFC 2822)
	* fixed toupper() usage
	* generic - changed interface for mail threading so that we
	    can notify a default charset.
	* sunZ - capitaine de soirées
	* tools - charconv can convert strings with illegal sequences
	* mime - add helper functions
	* imf - add helper functions
	* various bugfixes
	* imap - comments in IMAP module - API and data structure description
	* generic - API documentation
	* generic - flags and cache directory are now different
	* all - can be used in C++
	* doc - updated documentation
	
2002-09-02

	* version 0.26
	* generic - message interface
	*         - new driver interface
	* imf - bugfix
	* generic - generic flags, flags for all drivers
	* generic - mail_info (display of the messages list)
		and mailmessage (display of the message) merged
	* tools - fixed an infinite loop when EOF was reached when
	        fetching a line finished with LF.
	* mime - does not parse the message mime part when the subtype is
	        not RFC822
	* generic - flags and envelopes are stored into Berkeley Database
		for performance
	* generic - Berkeley database are now locked (with dotlock)
	* generic - expunge for mboxdriver (cached version).
	* tools - bugfix in chash
	* mh - make a hash table from the subfolders
	* generic - expunge for pop3driver and mhdriver (cached version)
	* generic - status of mailboxes
	* generic - fixed a problem with cache in mbox
	* generic - fixed cache for nntp driver
	* generic - "References" field is now fetched with IMAP driver
	* imap - bugfix when parsing HEADER.FIELDS requests
	       bugfix in literal
	* generic - readonly mailbox in mbox driver are no more expunged
	* tools - fixed memory leaks
	* generic - internal uid of mbox is based on body length of the message
	       close mailboxes when retrieving non-cached envelopes.
	* generic - optimized flags cache
	* generic - mail storage added
	* generic - check_folder will store flags on disk
	* imap - close stream no session logout
	* imf - day of week stuff
	* mh - implemented ...folder_find
	* tools - some code factorization in clist
	* imap - bugfix for mailbox data and status attribute (UNSEEN) handler
	
2002-06-26

	* version 0.25
	* BSD licence
	* get rid of strndup()
	* generic - started implementation of messages threads
	* driver -  changed the way to get message list in NNTP driver
	           fetch message returns also the length of the message
	           bug fix in IMAP driver
	* MIME - MIME message builder use the same data structure
	           as the MIME message parser
	* imf  - less strict parser, bug fix
	* nntp - bugfix
	* mbox - UID in mbox
	* pop  - capa is implemented
	* driver - cache for mbox and mh, new version of the driver
	         of mbox.
	* mh   - max index is retrieved when performing a stat of the folder
	* MIME - bugfix when parsing multipart, base64 at padding
	           encoded phrase can now be parsed
	* tools - character table conversion for buffers
	* generic - implementation of message threads in now finished
	* tools - character table conversion notify error type
	* mime - merged mailmime_write.c and message_build.c
	* driver - changed interface when fetching MIME parts
	* driver - error strings added
	* generic - thread orderedsubject is implemented
	* mbox - problem when the message identifier was wrong - fixed
	* mh   - added time information so that the mh-cached driver
	            can invalidate the cache
	* driver - MH driver with cache is implemented
	* mime - add parent in mailmime structure
	* tools - macro fixed in carray
	* imap - imap debugging can now compile
	* driver - added parameters() to interface to set parameters specific
	             to each driver.
	             cache is now defined for each session, no more globally.
		     some code cleaning
		     mbox parameters are "force read only" and "force no UID"
		     nntp set max articles to fetch
	* all - changed <stdint.h> to <inttypes.h> which is more widespread
	* pop3 - fixed APOP, timestamp is get at connection, no more when
	             APOP was tried.
	* tools - GPL MD5 is replaced by RSA Data Security MD5.
	* driver - nntp cache sets starting and ending article in the cache
	           mbox cache for a message is updated when it is changed
		   (detected with size)
	* tools - changed the name of stream driver so that it does
	           not interfer with pth.
		  the user is given the responsibility to initialize the
		  SSL mechanism (openssl).
	* mime - serious bugfix
	* imf - removed "unparsed fields" type.
	* driver - nntp does not use xover whenever there are no news
	             header to fetch
	           bugfix in imap
		   take account of the bugfix in mime in maildriver_tools.c
		   no more use of "unparsed fields".
	
2002-04-27

	* version 0.20
	* glib calls removed
	* driver interface added

2002-02-10
	
	* version 0.10
	* initial release
